<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>GrepTool</name>
    <filename>classGrepTool.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotSearchFor</name>
      <anchorfile>classGrepTool.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(const QString &amp;pattern)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>itemSelected</name>
      <anchorfile>classGrepTool.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;abs_filename, int line)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>GrepTool</name>
      <anchorfile>classGrepTool.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(class KateMainWindow *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~GrepTool</name>
      <anchorfile>classGrepTool.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateDirName</name>
      <anchorfile>classGrepTool.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDirName</name>
      <anchorfile>classGrepTool.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>eventFilter</name>
      <anchorfile>classGrepTool.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QObject *, QEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateApp</name>
    <filename>classKateApp.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>onEventLoopEnter</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateApp</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(bool forcedNewProcess, bool oldState)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateApp</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::Application *</type>
      <name>application</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>newInstance</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KatePluginManager *</type>
      <name>katePluginManager</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KateDocManager *</type>
      <name>kateDocumentManager</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KateProjectManager *</type>
      <name>kateProjectManager</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KateMainWindow *</type>
      <name>newMainWindow</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KateMainWindow *</type>
      <name>newMainWindow</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(bool visible)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeMainWindow</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(KateMainWindow *mainWindow)</arglist>
    </member>
    <member kind="function">
      <type>Kate::DocumentManager *</type>
      <name>documentManager</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::ProjectManager *</type>
      <name>projectManager</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::PluginManager *</type>
      <name>pluginManager</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::InitPluginManager *</type>
      <name>initPluginManager</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::MainWindow *</type>
      <name>activeMainWindow</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KateMainWindow *</type>
      <name>activeKateMainWindow</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>mainWindows</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::MainWindow *</type>
      <name>mainWindow</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>(uint n)</arglist>
    </member>
    <member kind="function">
      <type>KateMainWindow *</type>
      <name>kateMainWindow</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(uint n)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>openURL</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>(const QString &amp;name=0L)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>performInit</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>(const QString &amp;, const KURL &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Kate::InitPlugin *</type>
      <name>initPlugin</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KURL</type>
      <name>initScript</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KateApp *</type>
      <name>self</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KConfig *</type>
      <name>kateSessionConfig</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>performInit</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>callOnEventLoopEnter</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateAppDCOPIface</name>
    <filename>classKateAppDCOPIface.html</filename>
    <member kind="dcop">
      <type>DCOPRef</type>
      <name>documentManager</name>
      <anchorfile>classKateAppDCOPIface.html</anchorfile>
      <anchor>z0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>DCOPRef</type>
      <name>activeMainWindow</name>
      <anchorfile>classKateAppDCOPIface.html</anchorfile>
      <anchor>z1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>uint</type>
      <name>activeMainWindowNumber</name>
      <anchorfile>classKateAppDCOPIface.html</anchorfile>
      <anchor>z2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>uint</type>
      <name>mainWindows</name>
      <anchorfile>classKateAppDCOPIface.html</anchorfile>
      <anchor>z3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>DCOPRef</type>
      <name>mainWindow</name>
      <anchorfile>classKateAppDCOPIface.html</anchorfile>
      <anchor>z4</anchor>
      <arglist>(uint n=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateAppDCOPIface</name>
      <anchorfile>classKateAppDCOPIface.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KateApp *app)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateConfigDialog</name>
    <filename>classKateConfigDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>KateConfigDialog</name>
      <anchorfile>classKateConfigDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KateMainWindow *parent, Kate::View *view)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateConfigDialog</name>
      <anchorfile>classKateConfigDialog.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPluginPage</name>
      <anchorfile>classKateConfigDialog.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(Kate::Plugin *plugin)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removePluginPage</name>
      <anchorfile>classKateConfigDialog.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(Kate::Plugin *plugin)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchorfile>classKateConfigDialog.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotApply</name>
      <anchorfile>classKateConfigDialog.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotChanged</name>
      <anchorfile>classKateConfigDialog.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateConfigPluginPage</name>
    <filename>classKateConfigPluginPage.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKateConfigPluginPage.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateConfigPluginPage</name>
      <anchorfile>classKateConfigPluginPage.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, class KateConfigDialog *dialog)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateConfigPluginPage</name>
      <anchorfile>classKateConfigPluginPage.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateConsole</name>
    <filename>classKateConsole.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>loadConsoleIfNeeded</name>
      <anchorfile>classKateConsole.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateConsole</name>
      <anchorfile>classKateConsole.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, const char *name, Kate::ViewManager *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateConsole</name>
      <anchorfile>classKateConsole.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cd</name>
      <anchorfile>classKateConsole.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(KURL url=KURL())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sendInput</name>
      <anchorfile>classKateConsole.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>focusInEvent</name>
      <anchorfile>classKateConsole.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QFocusEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>showEvent</name>
      <anchorfile>classKateConsole.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(QShowEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateDocManager</name>
    <filename>classKateDocManager.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>saveAll</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>documentCreated</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(Kate::Document *doc)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>documentDeleted</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(uint documentNumber)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>documentChanged</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>initialDocumentReplaced</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>l3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateDocManager</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QObject *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateDocManager</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::DocumentManager *</type>
      <name>documentManager</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::Document *</type>
      <name>createDoc</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteDoc</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(Kate::Document *doc)</arglist>
    </member>
    <member kind="function">
      <type>Kate::Document *</type>
      <name>document</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(uint n)</arglist>
    </member>
    <member kind="function">
      <type>Kate::Document *</type>
      <name>activeDocument</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActiveDocument</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(Kate::Document *doc)</arglist>
    </member>
    <member kind="function">
      <type>Kate::Document *</type>
      <name>firstDocument</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::Document *</type>
      <name>nextDocument</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::Document *</type>
      <name>documentWithID</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(uint id)</arglist>
    </member>
    <member kind="function">
      <type>const KateDocumentInfo *</type>
      <name>documentInfo</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(Kate::Document *doc)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>findDocument</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(Kate::Document *doc)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>findDocument</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(KURL url)</arglist>
    </member>
    <member kind="function">
      <type>Kate::Document *</type>
      <name>findDocumentByUrl</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(KURL url)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOpen</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(KURL url)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>documents</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; Kate::Document &gt; &amp;</type>
      <name>documentList</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::Document *</type>
      <name>openURL</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(const KURL &amp;, const QString &amp;encoding=QString::null, uint *id=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeDocument</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>(class Kate::Document *, bool closeURL=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeDocument</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>(uint)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeDocumentWithID</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>(uint)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeAllDocuments</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>(bool closeURL=true)</arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; Kate::Document &gt;</type>
      <name>modifiedDocumentList</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>queryCloseDocuments</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>(KateMainWindow *w)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveDocumentList</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a25</anchor>
      <arglist>(class KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restoreDocumentList</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a26</anchor>
      <arglist>(class KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>DCOPObject *</type>
      <name>dcopObject</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a27</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getSaveMetaInfos</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a28</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSaveMetaInfos</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a29</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getDaysMetaInfos</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a30</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDaysMetaInfos</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>a31</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KateDocManager *</type>
      <name>self</name>
      <anchorfile>classKateDocManager.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateDocManagerDCOPIface</name>
    <filename>classKateDocManagerDCOPIface.html</filename>
    <member kind="dcop">
      <type>DCOPRef</type>
      <name>document</name>
      <anchorfile>classKateDocManagerDCOPIface.html</anchorfile>
      <anchor>z0</anchor>
      <arglist>(uint n)</arglist>
    </member>
    <member kind="dcop">
      <type>DCOPRef</type>
      <name>activeDocument</name>
      <anchorfile>classKateDocManagerDCOPIface.html</anchorfile>
      <anchor>z1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>uint</type>
      <name>activeDocumentNumber</name>
      <anchorfile>classKateDocManagerDCOPIface.html</anchorfile>
      <anchor>z2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>DCOPRef</type>
      <name>documentWithID</name>
      <anchorfile>classKateDocManagerDCOPIface.html</anchorfile>
      <anchor>z3</anchor>
      <arglist>(uint id)</arglist>
    </member>
    <member kind="dcop">
      <type>int</type>
      <name>findDocument</name>
      <anchorfile>classKateDocManagerDCOPIface.html</anchorfile>
      <anchor>z4</anchor>
      <arglist>(KURL url)</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>isOpen</name>
      <anchorfile>classKateDocManagerDCOPIface.html</anchorfile>
      <anchor>z5</anchor>
      <arglist>(KURL url)</arglist>
    </member>
    <member kind="dcop">
      <type>uint</type>
      <name>documents</name>
      <anchorfile>classKateDocManagerDCOPIface.html</anchorfile>
      <anchor>z6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>DCOPRef</type>
      <name>openURL</name>
      <anchorfile>classKateDocManagerDCOPIface.html</anchorfile>
      <anchor>z7</anchor>
      <arglist>(KURL url, QString encoding)</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>closeDocument</name>
      <anchorfile>classKateDocManagerDCOPIface.html</anchorfile>
      <anchor>z8</anchor>
      <arglist>(uint n)</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>closeDocumentWithID</name>
      <anchorfile>classKateDocManagerDCOPIface.html</anchorfile>
      <anchor>z9</anchor>
      <arglist>(uint id)</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>closeAllDocuments</name>
      <anchorfile>classKateDocManagerDCOPIface.html</anchorfile>
      <anchor>z10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateDocManagerDCOPIface</name>
      <anchorfile>classKateDocManagerDCOPIface.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KateDocManager *dm)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateDocumentInfo</name>
    <filename>classKateDocumentInfo.html</filename>
    <member kind="function">
      <type></type>
      <name>KateDocumentInfo</name>
      <anchorfile>classKateDocumentInfo.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>modifiedOnDisc</name>
      <anchorfile>classKateDocumentInfo.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned char</type>
      <name>modifiedOnDiscReason</name>
      <anchorfile>classKateDocumentInfo.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateExternalTool</name>
    <filename>classKateExternalTool.html</filename>
    <member kind="function">
      <type></type>
      <name>KateExternalTool</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;name=QString::null, const QString &amp;command=QString::null, const QString &amp;icon=QString::null, const QString &amp;tryexec=QString::null, const QStringList &amp;mimetypes=QStringList(), const QString &amp;acname=QString::null, const QString &amp;cmdname=QString::null, int save=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateExternalTool</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>valid</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;mimetype) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkExec</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>command</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>icon</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>tryexec</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QStringList</type>
      <name>mimetypes</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>hasexec</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>acname</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>o6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>cmdname</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>o7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>save</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>o8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateExternalToolAction</name>
    <filename>classKateExternalToolAction.html</filename>
    <member kind="function">
      <type></type>
      <name>KateExternalToolAction</name>
      <anchorfile>classKateExternalToolAction.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QObject *parent, const char *name, class KateExternalTool *t)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateExternalToolAction</name>
      <anchorfile>classKateExternalToolAction.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>KateExternalTool *</type>
      <name>tool</name>
      <anchorfile>classKateExternalToolAction.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>expandMacro</name>
      <anchorfile>classKateExternalToolAction.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(const QString &amp;str, QStringList &amp;ret)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateExternalToolsCommand</name>
    <filename>classKateExternalToolsCommand.html</filename>
    <member kind="function">
      <type></type>
      <name>KateExternalToolsCommand</name>
      <anchorfile>classKateExternalToolsCommand.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KateExternalToolsCommand</name>
      <anchorfile>classKateExternalToolsCommand.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reload</name>
      <anchorfile>classKateExternalToolsCommand.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>cmds</name>
      <anchorfile>classKateExternalToolsCommand.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>exec</name>
      <anchorfile>classKateExternalToolsCommand.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(Kate::View *view, const QString &amp;cmd, QString &amp;msg)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>help</name>
      <anchorfile>classKateExternalToolsCommand.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(Kate::View *view, const QString &amp;cmd, QString &amp;msg)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KateExternalToolsCommand *</type>
      <name>self</name>
      <anchorfile>classKateExternalToolsCommand.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateExternalToolsConfigWidget</name>
    <filename>classKateExternalToolsConfigWidget.html</filename>
    <member kind="function">
      <type></type>
      <name>KateExternalToolsConfigWidget</name>
      <anchorfile>classKateExternalToolsConfigWidget.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KateExternalToolsConfigWidget</name>
      <anchorfile>classKateExternalToolsConfigWidget.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>apply</name>
      <anchorfile>classKateExternalToolsConfigWidget.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>reload</name>
      <anchorfile>classKateExternalToolsConfigWidget.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>reset</name>
      <anchorfile>classKateExternalToolsConfigWidget.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKateExternalToolsConfigWidget.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateExternalToolServiceEditor</name>
    <filename>classKateExternalToolServiceEditor.html</filename>
    <member kind="function">
      <type></type>
      <name>KateExternalToolServiceEditor</name>
      <anchorfile>classKateExternalToolServiceEditor.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KateExternalTool *tool=0, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="variable">
      <type>QLineEdit *</type>
      <name>leName</name>
      <anchorfile>classKateExternalToolServiceEditor.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QLineEdit *</type>
      <name>leExecutable</name>
      <anchorfile>classKateExternalToolServiceEditor.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QLineEdit *</type>
      <name>leMimetypes</name>
      <anchorfile>classKateExternalToolServiceEditor.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QLineEdit *</type>
      <name>leCmdLine</name>
      <anchorfile>classKateExternalToolServiceEditor.html</anchorfile>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QTextEdit *</type>
      <name>teCommand</name>
      <anchorfile>classKateExternalToolServiceEditor.html</anchorfile>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KIconButton *</type>
      <name>btnIcon</name>
      <anchorfile>classKateExternalToolServiceEditor.html</anchorfile>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QComboBox *</type>
      <name>cmbSave</name>
      <anchorfile>classKateExternalToolServiceEditor.html</anchorfile>
      <anchor>o6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateExternalToolsMenuAction</name>
    <filename>classKateExternalToolsMenuAction.html</filename>
    <member kind="function">
      <type></type>
      <name>KateExternalToolsMenuAction</name>
      <anchorfile>classKateExternalToolsMenuAction.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;text=QString::null, QObject *parent=0, const char *name=0, class KateMainWindow *mw=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateExternalToolsMenuAction</name>
      <anchorfile>classKateExternalToolsMenuAction.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reload</name>
      <anchorfile>classKateExternalToolsMenuAction.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KActionCollection *</type>
      <name>actionCollection</name>
      <anchorfile>classKateExternalToolsMenuAction.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KateExternalToolAction</name>
      <anchorfile>classKateExternalToolsMenuAction.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateFileList</name>
    <filename>classKateFileList.html</filename>
    <member kind="enumeration">
      <name>sorting</name>
      <anchor>w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setSortType</name>
      <anchorfile>classKateFileList.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(int s)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotNextDocument</name>
      <anchorfile>classKateFileList.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotPrevDocument</name>
      <anchorfile>classKateFileList.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateFileList</name>
      <anchorfile>classKateFileList.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KateMainWindow *main, KateViewManager *_viewManager, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateFileList</name>
      <anchorfile>classKateFileList.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>sortType</name>
      <anchorfile>classKateFileList.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateSort</name>
      <anchorfile>classKateFileList.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>tooltip</name>
      <anchorfile>classKateFileList.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(QListViewItem *item, int)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>histCount</name>
      <anchorfile>classKateFileList.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>editHistCount</name>
      <anchorfile>classKateFileList.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QColor</type>
      <name>editShade</name>
      <anchorfile>classKateFileList.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QColor</type>
      <name>viewShade</name>
      <anchorfile>classKateFileList.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>shadingEnabled</name>
      <anchorfile>classKateFileList.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKateFileList.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(class KConfig *config, const QString &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKateFileList.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(class KConfig *config, const QString &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>takeItem</name>
      <anchorfile>classKateFileList.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(QListViewItem *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>keyPressEvent</name>
      <anchorfile>classKateFileList.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QKeyEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsMousePressEvent</name>
      <anchorfile>classKateFileList.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(QMouseEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>resizeEvent</name>
      <anchorfile>classKateFileList.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(QResizeEvent *e)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KFLConfigPage</name>
      <anchorfile>classKateFileList.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateFileListItem</name>
    <filename>classKateFileListItem.html</filename>
    <member kind="function">
      <type></type>
      <name>KateFileListItem</name>
      <anchorfile>classKateFileListItem.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QListView *lv, Kate::Document *doc)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateFileListItem</name>
      <anchorfile>classKateFileListItem.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>documentNumber</name>
      <anchorfile>classKateFileListItem.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::Document *</type>
      <name>document</name>
      <anchorfile>classKateFileListItem.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>rtti</name>
      <anchorfile>classKateFileListItem.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setViewHistPos</name>
      <anchorfile>classKateFileListItem.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(int p)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEditHistPos</name>
      <anchorfile>classKateFileListItem.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(int p)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual const QPixmap *</type>
      <name>pixmap</name>
      <anchorfile>classKateFileListItem.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(int column) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>paintCell</name>
      <anchorfile>classKateFileListItem.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(QPainter *painter, const QColorGroup &amp;cg, int column, int width, int align)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>compare</name>
      <anchorfile>classKateFileListItem.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(QListViewItem *i, int col, bool ascending) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateFileSelector</name>
    <filename>classKateFileSelector.html</filename>
    <member kind="enumeration">
      <name>AutoSyncEvent</name>
      <anchor>w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFilterChange</name>
      <anchorfile>classKateFileSelector.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setDir</name>
      <anchorfile>classKateFileSelector.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(KURL)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setDir</name>
      <anchorfile>classKateFileSelector.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>(const QString &amp;url)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>kateViewChanged</name>
      <anchorfile>classKateFileSelector.html</anchorfile>
      <anchor>i3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateFileSelector</name>
      <anchorfile>classKateFileSelector.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KateMainWindow *mainWindow=0, KateViewManager *viewManager=0, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateFileSelector</name>
      <anchorfile>classKateFileSelector.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKateFileSelector.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(KConfig *, const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKateFileSelector.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(KConfig *, const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setupToolbar</name>
      <anchorfile>classKateFileSelector.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setView</name>
      <anchorfile>classKateFileSelector.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(KFile::FileView)</arglist>
    </member>
    <member kind="function">
      <type>KDirOperator *</type>
      <name>dirOperator</name>
      <anchorfile>classKateFileSelector.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KActionCollection *</type>
      <name>actionCollection</name>
      <anchorfile>classKateFileSelector.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>focusInEvent</name>
      <anchorfile>classKateFileSelector.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QFocusEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>showEvent</name>
      <anchorfile>classKateFileSelector.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(QShowEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>eventFilter</name>
      <anchorfile>classKateFileSelector.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(QObject *, QEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initialDirChangeHack</name>
      <anchorfile>classKateFileSelector.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KFSConfigPage</name>
      <anchorfile>classKateFileSelector.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateFileSelectorToolBar</name>
    <filename>classKateFileSelectorToolBar.html</filename>
    <member kind="function">
      <type></type>
      <name>KateFileSelectorToolBar</name>
      <anchorfile>classKateFileSelectorToolBar.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KateFileSelectorToolBar</name>
      <anchorfile>classKateFileSelectorToolBar.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setMovingEnabled</name>
      <anchorfile>classKateFileSelectorToolBar.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(bool b)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateFileSelectorToolBarParent</name>
    <filename>classKateFileSelectorToolBarParent.html</filename>
    <member kind="function">
      <type></type>
      <name>KateFileSelectorToolBarParent</name>
      <anchorfile>classKateFileSelectorToolBarParent.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateFileSelectorToolBarParent</name>
      <anchorfile>classKateFileSelectorToolBarParent.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setToolBar</name>
      <anchorfile>classKateFileSelectorToolBarParent.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(KateFileSelectorToolBar *tb)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>resizeEvent</name>
      <anchorfile>classKateFileSelectorToolBarParent.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QResizeEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateInternalProjectData</name>
    <filename>classKateInternalProjectData.html</filename>
    <member kind="variable">
      <type>KateProjectManager *</type>
      <name>proMan</name>
      <anchorfile>classKateInternalProjectData.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>fileName</name>
      <anchorfile>classKateInternalProjectData.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateMailDialog</name>
    <filename>classKateMailDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>KateMailDialog</name>
      <anchorfile>classKateMailDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, KateMainWindow *mainwin=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateMailDialog</name>
      <anchorfile>classKateMailDialog.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; Kate::Document &gt;</type>
      <name>selectedDocs</name>
      <anchorfile>classKateMailDialog.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateMainWindow</name>
    <filename>classKateMainWindow.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotProjectNew</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotProjectOpen</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotProjectSave</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotProjectClose</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>i3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>openConstURLProject</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>i4</anchor>
      <arglist>(const KURL &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateMainWindow</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateMainWindow</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::MainWindow *</type>
      <name>mainWindow</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::ViewManager *</type>
      <name>viewManager</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::ToolViewManager *</type>
      <name>toolViewManager</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KateViewManager *</type>
      <name>kateViewManager</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DCOPObject *</type>
      <name>dcopObject</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KMDI::ToolViewAccessor *</type>
      <name>addToolView</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(KDockWidget::DockPosition position, QWidget *widget, const QPixmap &amp;icon, const QString &amp;sname, const QString &amp;tabToolTip=0, const QString &amp;tabCaption=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>removeToolView</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(QWidget *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>removeToolView</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(KMDI::ToolViewAccessor *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showToolView</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(QWidget *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showToolView</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(KMDI::ToolViewAccessor *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hideToolView</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(QWidget *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hideToolView</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(KMDI::ToolViewAccessor *)</arglist>
    </member>
    <member kind="function">
      <type>Kate::Project *</type>
      <name>activeProject</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::Project *</type>
      <name>createProject</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(const QString &amp;type, const QString &amp;name, const QString &amp;filename)</arglist>
    </member>
    <member kind="function">
      <type>Kate::Project *</type>
      <name>openProject</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(const QString &amp;filename)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>activateProject</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>(Kate::Project *project)</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>activeDocumentUrl</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>mainWindowNumber</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showModOnDiskPrompt</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readProperties</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveProperties</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveGlobalProperties</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>(KConfig *sessionConfig)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>openURL</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>(const QString &amp;name=0L)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>eventFilter</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QObject *, QEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>event</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(QEvent *)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KateConfigDialog</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KateViewManager</name>
      <anchorfile>classKateMainWindow.html</anchorfile>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateMainWindowDCOPIface</name>
    <filename>classKateMainWindowDCOPIface.html</filename>
    <member kind="dcop">
      <type>DCOPRef</type>
      <name>activeProject</name>
      <anchorfile>classKateMainWindowDCOPIface.html</anchorfile>
      <anchor>z0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="dcop">
      <type>DCOPRef</type>
      <name>createProject</name>
      <anchorfile>classKateMainWindowDCOPIface.html</anchorfile>
      <anchor>z1</anchor>
      <arglist>(QString type, QString name, QString filename)</arglist>
    </member>
    <member kind="dcop">
      <type>DCOPRef</type>
      <name>openProject</name>
      <anchorfile>classKateMainWindowDCOPIface.html</anchorfile>
      <anchor>z2</anchor>
      <arglist>(QString filename)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateMainWindowDCOPIface</name>
      <anchorfile>classKateMainWindowDCOPIface.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KateMainWindow *w)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateMwModOnHdDialog</name>
    <filename>classKateMwModOnHdDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>KateMwModOnHdDialog</name>
      <anchorfile>classKateMwModOnHdDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(DocVector docs, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateMwModOnHdDialog</name>
      <anchorfile>classKateMwModOnHdDialog.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotUser1</name>
      <anchorfile>classKateMwModOnHdDialog.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotUser2</name>
      <anchorfile>classKateMwModOnHdDialog.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotUser3</name>
      <anchorfile>classKateMwModOnHdDialog.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KatePluginInfo</name>
    <filename>classKatePluginInfo.html</filename>
    <member kind="variable">
      <type>bool</type>
      <name>load</name>
      <anchorfile>classKatePluginInfo.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KService::Ptr</type>
      <name>service</name>
      <anchorfile>classKatePluginInfo.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Kate::Plugin *</type>
      <name>plugin</name>
      <anchorfile>classKatePluginInfo.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KatePluginListView</name>
    <filename>classKatePluginListView.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>stateChange</name>
      <anchorfile>classKatePluginListView.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(KatePluginListItem *, bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KatePluginListView</name>
      <anchorfile>classKatePluginListView.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KatePluginListItem</name>
      <anchorfile>classKatePluginListView.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KatePluginManager</name>
    <filename>classKatePluginManager.html</filename>
    <member kind="function">
      <type></type>
      <name>KatePluginManager</name>
      <anchorfile>classKatePluginManager.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QObject *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KatePluginManager</name>
      <anchorfile>classKatePluginManager.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::PluginManager *</type>
      <name>pluginManager</name>
      <anchorfile>classKatePluginManager.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadAllEnabledPlugins</name>
      <anchorfile>classKatePluginManager.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unloadAllPlugins</name>
      <anchorfile>classKatePluginManager.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>enableAllPluginsGUI</name>
      <anchorfile>classKatePluginManager.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(KateMainWindow *win)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>disableAllPluginsGUI</name>
      <anchorfile>classKatePluginManager.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(KateMainWindow *win)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadConfig</name>
      <anchorfile>classKatePluginManager.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKatePluginManager.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadPlugin</name>
      <anchorfile>classKatePluginManager.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(KatePluginInfo *item)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unloadPlugin</name>
      <anchorfile>classKatePluginManager.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(KatePluginInfo *item)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>enablePluginGUI</name>
      <anchorfile>classKatePluginManager.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(KatePluginInfo *item, KateMainWindow *win)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>enablePluginGUI</name>
      <anchorfile>classKatePluginManager.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(KatePluginInfo *item)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>disablePluginGUI</name>
      <anchorfile>classKatePluginManager.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(KatePluginInfo *item, KateMainWindow *win)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>disablePluginGUI</name>
      <anchorfile>classKatePluginManager.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(KatePluginInfo *item)</arglist>
    </member>
    <member kind="function">
      <type>KatePluginList &amp;</type>
      <name>pluginList</name>
      <anchorfile>classKatePluginManager.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Kate::Plugin *</type>
      <name>plugin</name>
      <anchorfile>classKatePluginManager.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>pluginAvailable</name>
      <anchorfile>classKatePluginManager.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual class Kate::Plugin *</type>
      <name>loadPlugin</name>
      <anchorfile>classKatePluginManager.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(const QString &amp;name, bool permanent=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>unloadPlugin</name>
      <anchorfile>classKatePluginManager.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>(const QString &amp;name, bool permanent=true)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KatePluginManager *</type>
      <name>self</name>
      <anchorfile>classKatePluginManager.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateProjectDCOPIface</name>
    <filename>classKateProjectDCOPIface.html</filename>
    <member kind="dcop">
      <type>void</type>
      <name>test</name>
      <anchorfile>classKateProjectDCOPIface.html</anchorfile>
      <anchor>z0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateProjectDCOPIface</name>
      <anchorfile>classKateProjectDCOPIface.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Kate::Project *p)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateProjectDialogNew</name>
    <filename>classKateProjectDialogNew.html</filename>
    <member kind="function">
      <type></type>
      <name>KateProjectDialogNew</name>
      <anchorfile>classKateProjectDialogNew.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateProjectDialogNew</name>
      <anchorfile>classKateProjectDialogNew.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>exec</name>
      <anchorfile>classKateProjectDialogNew.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>type</name>
      <anchorfile>classKateProjectDialogNew.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classKateProjectDialogNew.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>fileName</name>
      <anchorfile>classKateProjectDialogNew.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateProjectDirView</name>
    <filename>classKateProjectDirView.html</filename>
    <member kind="function">
      <type></type>
      <name>KateProjectDirView</name>
      <anchorfile>classKateProjectDirView.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Kate::Project *project, const QString &amp;dir, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateProjectDirView</name>
      <anchorfile>classKateProjectDirView.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>addDialog</name>
      <anchorfile>classKateProjectDirView.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(Kate::Project *project, const QString &amp;dir, QWidget *parent)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateProjectList</name>
    <filename>classKateProjectList.html</filename>
    <member kind="function">
      <type></type>
      <name>KateProjectList</name>
      <anchorfile>classKateProjectList.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(class KateMainWindow *_mainWindow, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateProjectList</name>
      <anchorfile>classKateProjectList.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setupActions</name>
      <anchorfile>classKateProjectList.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateProjectListToolBar</name>
    <filename>classKateProjectListToolBar.html</filename>
    <member kind="function">
      <type></type>
      <name>KateProjectListToolBar</name>
      <anchorfile>classKateProjectListToolBar.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateProjectListToolBar</name>
      <anchorfile>classKateProjectListToolBar.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMovingEnabled</name>
      <anchorfile>classKateProjectListToolBar.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(bool b)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateProjectListToolBarParent</name>
    <filename>classKateProjectListToolBarParent.html</filename>
    <member kind="function">
      <type></type>
      <name>KateProjectListToolBarParent</name>
      <anchorfile>classKateProjectListToolBarParent.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateProjectListToolBarParent</name>
      <anchorfile>classKateProjectListToolBarParent.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setToolBar</name>
      <anchorfile>classKateProjectListToolBarParent.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(KateProjectListToolBar *tb)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>resizeEvent</name>
      <anchorfile>classKateProjectListToolBarParent.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QResizeEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateProjectManager</name>
    <filename>classKateProjectManager.html</filename>
    <member kind="function">
      <type></type>
      <name>KateProjectManager</name>
      <anchorfile>classKateProjectManager.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QObject *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateProjectManager</name>
      <anchorfile>classKateProjectManager.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::ProjectManager *</type>
      <name>projectManager</name>
      <anchorfile>classKateProjectManager.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Kate::Project *</type>
      <name>create</name>
      <anchorfile>classKateProjectManager.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;type, const QString &amp;name, const QString &amp;filename)</arglist>
    </member>
    <member kind="function">
      <type>Kate::Project *</type>
      <name>open</name>
      <anchorfile>classKateProjectManager.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;filename)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>close</name>
      <anchorfile>classKateProjectManager.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(Kate::Project *project, bool force=false)</arglist>
    </member>
    <member kind="function">
      <type>Kate::Project *</type>
      <name>project</name>
      <anchorfile>classKateProjectManager.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(uint n=0)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>projects</name>
      <anchorfile>classKateProjectManager.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::ProjectPlugin *</type>
      <name>createPlugin</name>
      <anchorfile>classKateProjectManager.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(Kate::Project *project)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>enableProjectGUI</name>
      <anchorfile>classKateProjectManager.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(Kate::Project *project, class KateMainWindow *win)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>disableProjectGUI</name>
      <anchorfile>classKateProjectManager.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(Kate::Project *project, class KateMainWindow *win)</arglist>
    </member>
    <member kind="function">
      <type>ProjectInfo *</type>
      <name>newProjectDialog</name>
      <anchorfile>classKateProjectManager.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>pluginStringList</name>
      <anchorfile>classKateProjectManager.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentProject</name>
      <anchorfile>classKateProjectManager.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(Kate::Project *project)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>queryCloseAll</name>
      <anchorfile>classKateProjectManager.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeAll</name>
      <anchorfile>classKateProjectManager.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveProjectList</name>
      <anchorfile>classKateProjectManager.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(class KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restoreProjectList</name>
      <anchorfile>classKateProjectManager.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>(class KConfig *config)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KateProjectManager *</type>
      <name>self</name>
      <anchorfile>classKateProjectManager.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateProjectTreeView</name>
    <filename>classKateProjectTreeView.html</filename>
    <member kind="function">
      <type></type>
      <name>KateProjectTreeView</name>
      <anchorfile>classKateProjectTreeView.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Kate::Project *project, class KateMainWindow *mainwin, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateProjectTreeView</name>
      <anchorfile>classKateProjectTreeView.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addDir</name>
      <anchorfile>classKateProjectTreeView.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(KateProjectTreeViewItem *parent, const QString &amp;dir)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateProjectTreeViewContainer</name>
    <filename>classKateProjectTreeViewContainer.html</filename>
    <member kind="function">
      <type></type>
      <name>KateProjectTreeViewContainer</name>
      <anchorfile>classKateProjectTreeViewContainer.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Kate::Project *project, class KateMainWindow *mainwin, QWidget *, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateProjectTreeViewContainer</name>
      <anchorfile>classKateProjectTreeViewContainer.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KateProjectTreeView *</type>
      <name>tree</name>
      <anchorfile>classKateProjectTreeViewContainer.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>eventFilter</name>
      <anchorfile>classKateProjectTreeViewContainer.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QObject *, QEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateProjectTreeViewItem</name>
    <filename>classKateProjectTreeViewItem.html</filename>
    <member kind="function">
      <type></type>
      <name>KateProjectTreeViewItem</name>
      <anchorfile>classKateProjectTreeViewItem.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QDict&lt; KateProjectTreeViewItem &gt; *dict, KateProjectTreeView *parent, Kate::Project *prj, const QString &amp;name, const QString &amp;fullname, bool dir=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateProjectTreeViewItem</name>
      <anchorfile>classKateProjectTreeViewItem.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(QDict&lt; KateProjectTreeViewItem &gt; *dict, KateProjectTreeViewItem *parent, Kate::Project *prj, const QString &amp;name, const QString &amp;fullname, bool dir=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateProjectTreeViewItem</name>
      <anchorfile>classKateProjectTreeViewItem.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchorfile>classKateProjectTreeViewItem.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDir</name>
      <anchorfile>classKateProjectTreeViewItem.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classKateProjectTreeViewItem.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fullName</name>
      <anchorfile>classKateProjectTreeViewItem.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>compare</name>
      <anchorfile>classKateProjectTreeViewItem.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(QListViewItem *i, int, bool) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateProjectViews</name>
    <filename>classKateProjectViews.html</filename>
    <member kind="function">
      <type></type>
      <name>KateProjectViews</name>
      <anchorfile>classKateProjectViews.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(class KateMainWindow *_mainWindow, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateProjectViews</name>
      <anchorfile>classKateProjectViews.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateSaveModifiedDialog</name>
    <filename>classKateSaveModifiedDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>KateSaveModifiedDialog</name>
      <anchorfile>classKateSaveModifiedDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, QPtrList&lt; Kate::Document &gt; documents)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KateSaveModifiedDialog</name>
      <anchorfile>classKateSaveModifiedDialog.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>queryClose</name>
      <anchorfile>classKateSaveModifiedDialog.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(QWidget *parent, QPtrList&lt; Kate::Document &gt; documents)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSelectAll</name>
      <anchorfile>classKateSaveModifiedDialog.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotItemSelected</name>
      <anchorfile>classKateSaveModifiedDialog.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotUser2</name>
      <anchorfile>classKateSaveModifiedDialog.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotUser1</name>
      <anchorfile>classKateSaveModifiedDialog.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>doSave</name>
      <anchorfile>classKateSaveModifiedDialog.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(QListViewItem *root)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateSplitter</name>
    <filename>classKateSplitter.html</filename>
    <member kind="function">
      <type></type>
      <name>KateSplitter</name>
      <anchorfile>classKateSplitter.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateSplitter</name>
      <anchorfile>classKateSplitter.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(Orientation o, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateSplitter</name>
      <anchorfile>classKateSplitter.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isLastChild</name>
      <anchorfile>classKateSplitter.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(QWidget *w)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateViewManager</name>
    <filename>classKateViewManager.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>openURL</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>getShowFullPath</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>activateView</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>(uint documentNumber)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>activateView</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>i3</anchor>
      <arglist>(int documentNumber)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotDocumentNew</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>i4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotDocumentOpen</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>i5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotDocumentClose</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>i6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotSplitViewSpaceHoriz</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>i7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotSplitViewSpaceVert</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>i8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotNewTab</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>i9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotCloseTab</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>i10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>activateNextTab</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>i11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>activatePrevTab</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>i12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotCloseCurrentViewSpace</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>i13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setActiveSpace</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>i14</anchor>
      <arglist>(KateViewSpace *vs)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setActiveView</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>i15</anchor>
      <arglist>(Kate::View *view)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setShowFullPath</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>i16</anchor>
      <arglist>(bool enable)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>activateNextView</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>i17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>activatePrevView</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>i18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>statusChanged</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(Kate::View *, int, int, int, bool, int, const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>statChanged</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>viewChanged</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateViewManager</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KateMainWindow *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateViewManager</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::ViewManager *</type>
      <name>viewManager</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KateViewSpaceContainer *</type>
      <name>activeContainer</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; KateViewSpaceContainer &gt; *</type>
      <name>containers</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateViewSpaceActions</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveViewConfiguration</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(KConfig *config, const QString &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restoreViewConfiguration</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(KConfig *config, const QString &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>openURL</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;encoding, bool activate=true)</arglist>
    </member>
    <member kind="function">
      <type>Kate::View *</type>
      <name>activeView</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KateViewSpace *</type>
      <name>activeViewSpace</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>viewCount</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>viewSpaceCount</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setViewActivationBlocked</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(bool block)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>closeViews</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(uint documentNumber)</arglist>
    </member>
    <member kind="function">
      <type>KateMainWindow *</type>
      <name>mainWindow</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>eventFilter</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QObject *o, QEvent *e)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGuardedPtr&lt; Kate::View &gt;</type>
      <name>guiMergedView</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>KateViewSpaceContainer</name>
      <anchorfile>classKateViewManager.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateViewSpace</name>
    <filename>classKateViewSpace.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>polish</name>
      <anchorfile>classKateViewSpace.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>modifiedOnDisc</name>
      <anchorfile>classKateViewSpace.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(Kate::Document *, bool, unsigned char)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateViewSpace</name>
      <anchorfile>classKateViewSpace.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KateViewSpaceContainer *, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateViewSpace</name>
      <anchorfile>classKateViewSpace.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isActiveSpace</name>
      <anchorfile>classKateViewSpace.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActive</name>
      <anchorfile>classKateViewSpace.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(bool b, bool showled=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addView</name>
      <anchorfile>classKateViewSpace.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(Kate::View *v, bool show=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeView</name>
      <anchorfile>classKateViewSpace.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(Kate::View *v)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showView</name>
      <anchorfile>classKateViewSpace.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(Kate::View *v)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showView</name>
      <anchorfile>classKateViewSpace.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(uint docID)</arglist>
    </member>
    <member kind="function">
      <type>Kate::View *</type>
      <name>currentView</name>
      <anchorfile>classKateViewSpace.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>viewCount</name>
      <anchorfile>classKateViewSpace.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveConfig</name>
      <anchorfile>classKateViewSpace.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(KConfig *config, int myIndex, const QString &amp;viewConfGrp)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restoreConfig</name>
      <anchorfile>classKateViewSpace.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(class KateViewSpaceContainer *viewMan, KConfig *config, const QString &amp;group)</arglist>
    </member>
    <member kind="variable">
      <type>QWidgetStack *</type>
      <name>stack</name>
      <anchorfile>classKateViewSpace.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>event</name>
      <anchorfile>classKateViewSpace.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QEvent *)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KateViewSpaceContainer</name>
      <anchorfile>classKateViewSpace.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KateVSStatusBar</name>
      <anchorfile>classKateViewSpace.html</anchorfile>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateViewSpaceContainer</name>
    <filename>classKateViewSpaceContainer.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>splitViewSpace</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(KateViewSpace *vs=0L, bool isHoriz=true, bool atTop=false)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>getShowFullPath</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>activateView</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>(uint documentNumber)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>activateView</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>i3</anchor>
      <arglist>(int documentNumber)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotSplitViewSpaceHoriz</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>i4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotSplitViewSpaceVert</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>i5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotCloseCurrentViewSpace</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>i6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>statusMsg</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>i7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setActiveSpace</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>i8</anchor>
      <arglist>(KateViewSpace *vs)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setActiveView</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>i9</anchor>
      <arglist>(Kate::View *view)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setShowFullPath</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>i10</anchor>
      <arglist>(bool enable)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>activateNextView</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>i11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>activatePrevView</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>i12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>statusChanged</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(Kate::View *, int, int, int, bool, int, const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>statChanged</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>viewChanged</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateViewSpaceContainer</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, KateViewManager *viewManager)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateViewSpaceContainer</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; Kate::View &gt; &amp;</type>
      <name>viewList</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveViewConfiguration</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(KConfig *config, const QString &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restoreViewConfiguration</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(KConfig *config, const QString &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>Kate::View *</type>
      <name>activeView</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KateViewSpace *</type>
      <name>activeViewSpace</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>viewCount</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>viewSpaceCount</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isViewActivationBlocked</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>closeViews</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(uint documentNumber)</arglist>
    </member>
    <member kind="function">
      <type>KateMainWindow *</type>
      <name>mainWindow</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KateViewSpace</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KateVSStatusBar</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>KateViewManager</name>
      <anchorfile>classKateViewSpaceContainer.html</anchorfile>
      <anchor>n2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateVSStatusBar</name>
    <filename>classKateVSStatusBar.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>setStatus</name>
      <anchorfile>classKateVSStatusBar.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(int r, int c, int ovr, bool block, int mod, const QString &amp;msg)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>updateMod</name>
      <anchorfile>classKateVSStatusBar.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>modifiedChanged</name>
      <anchorfile>classKateVSStatusBar.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateVSStatusBar</name>
      <anchorfile>classKateVSStatusBar.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KateViewSpace *parent=0L, const char *name=0L)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KateVSStatusBar</name>
      <anchorfile>classKateVSStatusBar.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classKateVSStatusBar.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QObject *, QEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>showMenu</name>
      <anchorfile>classKateVSStatusBar.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KBookmarkHandler</name>
    <filename>classKBookmarkHandler.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>openURL</name>
      <anchorfile>classKBookmarkHandler.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;url)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KBookmarkHandler</name>
      <anchorfile>classKBookmarkHandler.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KateFileSelector *parent, KPopupMenu *kpopupmenu=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KBookmarkHandler</name>
      <anchorfile>classKBookmarkHandler.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>openBookmarkURL</name>
      <anchorfile>classKBookmarkHandler.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>currentURL</name>
      <anchorfile>classKBookmarkHandler.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KPopupMenu *</type>
      <name>menu</name>
      <anchorfile>classKBookmarkHandler.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKBookmarkHandler.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KFLConfigPage</name>
    <filename>classKFLConfigPage.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotEnableChanged</name>
      <anchorfile>classKFLConfigPage.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFLConfigPage</name>
      <anchorfile>classKFLConfigPage.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, KateFileList *fl=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KFLConfigPage</name>
      <anchorfile>classKFLConfigPage.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>apply</name>
      <anchorfile>classKFLConfigPage.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>reload</name>
      <anchorfile>classKFLConfigPage.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KFSConfigPage</name>
    <filename>classKFSConfigPage.html</filename>
    <member kind="function">
      <type></type>
      <name>KFSConfigPage</name>
      <anchorfile>classKFSConfigPage.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, KateFileSelector *kfs=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KFSConfigPage</name>
      <anchorfile>classKFSConfigPage.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>apply</name>
      <anchorfile>classKFSConfigPage.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>reload</name>
      <anchorfile>classKFSConfigPage.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KWrite</name>
    <filename>classKWrite.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotNew</name>
      <anchorfile>classKWrite.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFlush</name>
      <anchorfile>classKWrite.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotOpen</name>
      <anchorfile>classKWrite.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotOpen</name>
      <anchorfile>classKWrite.html</anchorfile>
      <anchor>i3</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newView</name>
      <anchorfile>classKWrite.html</anchorfile>
      <anchor>i4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>toggleStatusBar</name>
      <anchorfile>classKWrite.html</anchorfile>
      <anchor>i5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>editKeys</name>
      <anchorfile>classKWrite.html</anchorfile>
      <anchor>i6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>editToolbars</name>
      <anchorfile>classKWrite.html</anchorfile>
      <anchor>i7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>changeEditor</name>
      <anchorfile>classKWrite.html</anchorfile>
      <anchor>i8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>printNow</name>
      <anchorfile>classKWrite.html</anchorfile>
      <anchor>i9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>printDlg</name>
      <anchorfile>classKWrite.html</anchorfile>
      <anchor>i10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newStatus</name>
      <anchorfile>classKWrite.html</anchorfile>
      <anchor>i11</anchor>
      <arglist>(const QString &amp;msg)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newCaption</name>
      <anchorfile>classKWrite.html</anchorfile>
      <anchor>i12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotDropEvent</name>
      <anchorfile>classKWrite.html</anchorfile>
      <anchor>i13</anchor>
      <arglist>(QDropEvent *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotEnableActions</name>
      <anchorfile>classKWrite.html</anchorfile>
      <anchor>i14</anchor>
      <arglist>(bool enable)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFileNameChanged</name>
      <anchorfile>classKWrite.html</anchorfile>
      <anchor>i15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KWrite</name>
      <anchorfile>classKWrite.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KTextEditor::Document *=0L)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KWrite</name>
      <anchorfile>classKWrite.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadURL</name>
      <anchorfile>classKWrite.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>KTextEditor::View *</type>
      <name>view</name>
      <anchorfile>classKWrite.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKWrite.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKWrite.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKWrite.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKWrite.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restore</name>
      <anchorfile>classKWrite.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(KConfig *, int)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>noWindows</name>
      <anchorfile>classKWrite.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>restore</name>
      <anchorfile>classKWrite.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KWriteEditorChooser</name>
    <filename>classKWriteEditorChooser.html</filename>
    <member kind="function">
      <type></type>
      <name>KWriteEditorChooser</name>
      <anchorfile>classKWriteEditorChooser.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KWriteEditorChooser</name>
      <anchorfile>classKWriteEditorChooser.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchorfile>classKWriteEditorChooser.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PluginKateDefaultProject</name>
    <filename>classPluginKateDefaultProject.html</filename>
    <base>Kate::ProjectPlugin</base>
    <base protection="private">Kate::PluginViewInterface</base>
    <member kind="function">
      <type></type>
      <name>PluginKateDefaultProject</name>
      <anchorfile>classPluginKateDefaultProject.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0, const char *name=0, const QStringList &amp;=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PluginKateDefaultProject</name>
      <anchorfile>classPluginKateDefaultProject.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addView</name>
      <anchorfile>classPluginKateDefaultProject.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(Kate::MainWindow *win)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeView</name>
      <anchorfile>classPluginKateDefaultProject.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(Kate::MainWindow *win)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>PluginPageListItem</name>
    <filename>structPluginPageListItem.html</filename>
    <member kind="variable">
      <type>Kate::Plugin *</type>
      <name>plugin</name>
      <anchorfile>structPluginPageListItem.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Kate::PluginConfigPage *</type>
      <name>page</name>
      <anchorfile>structPluginPageListItem.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ProjectInfo</name>
    <filename>classProjectInfo.html</filename>
    <member kind="variable">
      <type>QString</type>
      <name>type</name>
      <anchorfile>classProjectInfo.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classProjectInfo.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>fileName</name>
      <anchorfile>classProjectInfo.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ProjectPluginInfo</name>
    <filename>classProjectPluginInfo.html</filename>
    <member kind="variable">
      <type>KService::Ptr</type>
      <name>service</name>
      <anchorfile>classProjectPluginInfo.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>projectType</name>
      <anchorfile>classProjectPluginInfo.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>/build/buildd/kdebase-3.4.3/kate/app/</name>
    <path>/build/buildd/kdebase-3.4.3/kate/app/</path>
    <filename>dir_000003.html</filename>
    <file>kateapp.cpp</file>
    <file>kateapp.h</file>
    <file>kateappIface.cpp</file>
    <file>kateappIface.h</file>
    <file>kateconfigdialog.cpp</file>
    <file>kateconfigdialog.h</file>
    <file>kateconfigplugindialogpage.cpp</file>
    <file>kateconfigplugindialogpage.h</file>
    <file>kateconsole.cpp</file>
    <file>kateconsole.h</file>
    <file>katedocmanager.cpp</file>
    <file>katedocmanager.h</file>
    <file>katedocmanageriface.cpp</file>
    <file>katedocmanageriface.h</file>
    <file>kateexternaltools.cpp</file>
    <file>kateexternaltools.h</file>
    <file>katefilelist.cpp</file>
    <file>katefilelist.h</file>
    <file>katefileselector.cpp</file>
    <file>katefileselector.h</file>
    <file>kategrepdialog.cpp</file>
    <file>kategrepdialog.h</file>
    <file>katemailfilesdialog.cpp</file>
    <file>katemailfilesdialog.h</file>
    <file>katemain.cpp</file>
    <file>katemain.h</file>
    <file>katemainwindow.cpp</file>
    <file>katemainwindow.h</file>
    <file>katemainwindowiface.cpp</file>
    <file>katemainwindowiface.h</file>
    <file>katemwmodonhddialog.cpp</file>
    <file>katemwmodonhddialog.h</file>
    <file>katepluginmanager.cpp</file>
    <file>katepluginmanager.h</file>
    <file>kateprojectdirview.cpp</file>
    <file>kateprojectdirview.h</file>
    <file>kateprojectlist.cpp</file>
    <file>kateprojectlist.h</file>
    <file>kateprojectmanager.cpp</file>
    <file>kateprojectmanager.h</file>
    <file>kateprojecttreeview.cpp</file>
    <file>kateprojecttreeview.h</file>
    <file>kateprojectviews.cpp</file>
    <file>kateprojectviews.h</file>
    <file>katesavemodifieddialog.cpp</file>
    <file>katesavemodifieddialog.h</file>
    <file>katesplitter.cpp</file>
    <file>katesplitter.h</file>
    <file>kateviewmanager.cpp</file>
    <file>kateviewmanager.h</file>
    <file>kateviewspace.cpp</file>
    <file>kateviewspace.h</file>
    <file>kateviewspacecontainer.cpp</file>
    <file>kateviewspacecontainer.h</file>
    <file>kbookmarkhandler.cpp</file>
    <file>kbookmarkhandler.h</file>
    <file>kwritemain.cpp</file>
    <file>kwritemain.h</file>
  </compound>
  <compound kind="dir">
    <name>/build/buildd/kdebase-3.4.3/kate/plugins/defaultproject/</name>
    <path>/build/buildd/kdebase-3.4.3/kate/plugins/defaultproject/</path>
    <filename>dir_000005.html</filename>
    <file>katedefaultproject.cpp</file>
    <file>katedefaultproject.h</file>
  </compound>
  <compound kind="dir">
    <name>/build/buildd/kdebase-3.4.3/kate/interfaces/</name>
    <path>/build/buildd/kdebase-3.4.3/kate/interfaces/</path>
    <filename>dir_000001.html</filename>
    <file>application.cpp</file>
    <file>application.h</file>
    <file>documentmanager.cpp</file>
    <file>documentmanager.h</file>
    <file>mainwindow.cpp</file>
    <file>mainwindow.h</file>
    <file>plugin.cpp</file>
    <file>plugin.h</file>
    <file>pluginconfiginterface.cpp</file>
    <file>pluginconfiginterface.h</file>
    <file>pluginconfiginterfaceextension.cpp</file>
    <file>pluginconfiginterfaceextension.h</file>
    <file>pluginmanager.cpp</file>
    <file>pluginmanager.h</file>
    <file>project.cpp</file>
    <file>project.h</file>
    <file>projectiface.h</file>
    <file>projectmanager.cpp</file>
    <file>projectmanager.h</file>
    <file>toolviewmanager.cpp</file>
    <file>toolviewmanager.h</file>
    <file>viewmanager.cpp</file>
    <file>viewmanager.h</file>
  </compound>
  <compound kind="dir">
    <name>/build/buildd/kdebase-3.4.3/kate/</name>
    <path>/build/buildd/kdebase-3.4.3/kate/</path>
    <filename>dir_000000.html</filename>
    <dir>/build/buildd/kdebase-3.4.3/kate/app/</dir>
    <dir>/build/buildd/kdebase-3.4.3/kate/interfaces/</dir>
    <dir>/build/buildd/kdebase-3.4.3/kate/plugins/</dir>
    <dir>/build/buildd/kdebase-3.4.3/kate/utils/</dir>
  </compound>
  <compound kind="dir">
    <name>/build/buildd/kdebase-3.4.3/kate/plugins/</name>
    <path>/build/buildd/kdebase-3.4.3/kate/plugins/</path>
    <filename>dir_000004.html</filename>
    <dir>/build/buildd/kdebase-3.4.3/kate/plugins/defaultproject/</dir>
  </compound>
  <compound kind="dir">
    <name>/build/buildd/kdebase-3.4.3/kate/utils/</name>
    <path>/build/buildd/kdebase-3.4.3/kate/utils/</path>
    <filename>dir_000002.html</filename>
    <file>dockviewbase.cpp</file>
    <file>dockviewbase.h</file>
    <file>listboxview.cpp</file>
    <file>listboxview.h</file>
    <file>messageview.cpp</file>
    <file>messageview.h</file>
  </compound>
  <compound kind="namespace">
    <name>Kate</name>
    <filename>namespaceKate.html</filename>
    <class kind="class">Kate::Application</class>
    <class kind="class">Kate::DocumentManager</class>
    <class kind="class">Kate::MainWindow</class>
    <class kind="class">Kate::Plugin</class>
    <class kind="class">Kate::ProjectPlugin</class>
    <class kind="class">Kate::InitPlugin</class>
    <class kind="class">Kate::PluginViewInterface</class>
    <class kind="class">Kate::PluginConfigInterface</class>
    <class kind="class">Kate::PluginConfigPage</class>
    <class kind="class">Kate::PluginConfigInterfaceExtension</class>
    <class kind="class">Kate::PluginManager</class>
    <class kind="class">Kate::InitPluginManager</class>
    <class kind="class">Kate::Project</class>
    <class kind="class">Kate::ProjectManager</class>
    <class kind="class">Kate::ToolViewManager</class>
    <class kind="class">Kate::ViewManager</class>
    <class kind="class">Kate::DockViewBase</class>
    <class kind="class">Kate::ListboxView</class>
    <class kind="class">Kate::MessageView</class>
    <member kind="function">
      <type>Application *</type>
      <name>application</name>
      <anchorfile>namespaceKate.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DocumentManager *</type>
      <name>documentManager</name>
      <anchorfile>namespaceKate.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Plugin *</type>
      <name>createPlugin</name>
      <anchorfile>namespaceKate.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const char *libname, Application *application, const char *name, const QStringList &amp;args)</arglist>
    </member>
    <member kind="function">
      <type>ProjectPlugin *</type>
      <name>createProjectPlugin</name>
      <anchorfile>namespaceKate.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const char *libname, Project *project, const char *name, const QStringList &amp;args)</arglist>
    </member>
    <member kind="function">
      <type>PluginViewInterface *</type>
      <name>pluginViewInterface</name>
      <anchorfile>namespaceKate.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(Plugin *plugin)</arglist>
    </member>
    <member kind="function">
      <type>PluginConfigInterface *</type>
      <name>pluginConfigInterface</name>
      <anchorfile>namespaceKate.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(Plugin *plugin)</arglist>
    </member>
    <member kind="function">
      <type>PluginConfigInterfaceExtension *</type>
      <name>pluginConfigInterfaceExtension</name>
      <anchorfile>namespaceKate.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(Plugin *plugin)</arglist>
    </member>
    <member kind="function">
      <type>ProjectManager *</type>
      <name>projectManager</name>
      <anchorfile>namespaceKate.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::Application</name>
    <filename>classKate_1_1Application.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>onEventLoopEnter</name>
      <anchorfile>classKate_1_1Application.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Application</name>
      <anchorfile>classKate_1_1Application.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(void *application)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Application</name>
      <anchorfile>classKate_1_1Application.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::DocumentManager *</type>
      <name>documentManager</name>
      <anchorfile>classKate_1_1Application.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::ProjectManager *</type>
      <name>projectManager</name>
      <anchorfile>classKate_1_1Application.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::PluginManager *</type>
      <name>pluginManager</name>
      <anchorfile>classKate_1_1Application.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::InitPluginManager *</type>
      <name>initPluginManager</name>
      <anchorfile>classKate_1_1Application.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::MainWindow *</type>
      <name>activeMainWindow</name>
      <anchorfile>classKate_1_1Application.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>mainWindows</name>
      <anchorfile>classKate_1_1Application.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::MainWindow *</type>
      <name>mainWindow</name>
      <anchorfile>classKate_1_1Application.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(uint n=0)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateApplication</name>
      <anchorfile>classKate_1_1Application.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::DocumentManager</name>
    <filename>classKate_1_1DocumentManager.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>documentChanged</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>documentCreated</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(Kate::Document *document)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>documentDeleted</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(uint documentNumber)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DocumentManager</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(void *documentManager)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DocumentManager</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Document *</type>
      <name>document</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(uint n=0)</arglist>
    </member>
    <member kind="function">
      <type>Document *</type>
      <name>activeDocument</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Document *</type>
      <name>documentWithID</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(uint id)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>findDocument</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOpen</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>documents</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Document *</type>
      <name>openURL</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;encoding=QString::null, uint *id=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeDocument</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(class Document *document)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeDocument</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(uint n=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeDocumentWithID</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(uint id)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeAllDocuments</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateDocumentManager</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::MainWindow</name>
    <filename>classKate_1_1MainWindow.html</filename>
    <member kind="slot">
      <type>Kate::ViewManager *</type>
      <name>viewManager</name>
      <anchorfile>classKate_1_1MainWindow.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot">
      <type>Kate::Project *</type>
      <name>activeProject</name>
      <anchorfile>classKate_1_1MainWindow.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot">
      <type>Kate::Project *</type>
      <name>createProject</name>
      <anchorfile>classKate_1_1MainWindow.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>(const QString &amp;type, const QString &amp;name, const QString &amp;filename)</arglist>
    </member>
    <member kind="slot">
      <type>Kate::Project *</type>
      <name>openProject</name>
      <anchorfile>classKate_1_1MainWindow.html</anchorfile>
      <anchor>i3</anchor>
      <arglist>(const QString &amp;filename)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>projectChanged</name>
      <anchorfile>classKate_1_1MainWindow.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MainWindow</name>
      <anchorfile>classKate_1_1MainWindow.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(void *mainWindow)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~MainWindow</name>
      <anchorfile>classKate_1_1MainWindow.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KXMLGUIFactory *</type>
      <name>guiFactory</name>
      <anchorfile>classKate_1_1MainWindow.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ToolViewManager *</type>
      <name>toolViewManager</name>
      <anchorfile>classKate_1_1MainWindow.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateMainWindow</name>
      <anchorfile>classKate_1_1MainWindow.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::Plugin</name>
    <filename>classKate_1_1Plugin.html</filename>
    <member kind="function">
      <type></type>
      <name>Plugin</name>
      <anchorfile>classKate_1_1Plugin.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Application *application=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Plugin</name>
      <anchorfile>classKate_1_1Plugin.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>pluginNumber</name>
      <anchorfile>classKate_1_1Plugin.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Application *</type>
      <name>application</name>
      <anchorfile>classKate_1_1Plugin.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivatePlugin</name>
      <anchorfile>classKate_1_1Plugin.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::ProjectPlugin</name>
    <filename>classKate_1_1ProjectPlugin.html</filename>
    <base>Kate::Plugin</base>
    <member kind="function">
      <type></type>
      <name>ProjectPlugin</name>
      <anchorfile>classKate_1_1ProjectPlugin.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Project *project=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ProjectPlugin</name>
      <anchorfile>classKate_1_1ProjectPlugin.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>projectPluginNumber</name>
      <anchorfile>classKate_1_1ProjectPlugin.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Project *</type>
      <name>project</name>
      <anchorfile>classKate_1_1ProjectPlugin.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>save</name>
      <anchorfile>classKate_1_1ProjectPlugin.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>queryClose</name>
      <anchorfile>classKate_1_1ProjectPlugin.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>close</name>
      <anchorfile>classKate_1_1ProjectPlugin.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addDirs</name>
      <anchorfile>classKate_1_1ProjectPlugin.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;dir, QStringList &amp;dirs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>removeDirs</name>
      <anchorfile>classKate_1_1ProjectPlugin.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;dir, QStringList &amp;dirs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addFiles</name>
      <anchorfile>classKate_1_1ProjectPlugin.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;dir, QStringList &amp;files)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>removeFiles</name>
      <anchorfile>classKate_1_1ProjectPlugin.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const QString &amp;dir, QStringList &amp;files)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateProjectPlugin</name>
      <anchorfile>classKate_1_1ProjectPlugin.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::InitPlugin</name>
    <filename>classKate_1_1InitPlugin.html</filename>
    <base>Kate::Plugin</base>
    <member kind="function">
      <type></type>
      <name>InitPlugin</name>
      <anchorfile>classKate_1_1InitPlugin.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Application *application=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~InitPlugin</name>
      <anchorfile>classKate_1_1InitPlugin.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>initPluginNumber</name>
      <anchorfile>classKate_1_1InitPlugin.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>activate</name>
      <anchorfile>classKate_1_1InitPlugin.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const KURL &amp;configScript=KURL())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>actionsKateShouldNotPerformOnRealStartup</name>
      <anchorfile>classKate_1_1InitPlugin.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>initKate</name>
      <anchorfile>classKate_1_1InitPlugin.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const KURL</type>
      <name>configScript</name>
      <anchorfile>classKate_1_1InitPlugin.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateInitPlugin</name>
      <anchorfile>classKate_1_1InitPlugin.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::PluginViewInterface</name>
    <filename>classKate_1_1PluginViewInterface.html</filename>
    <member kind="function">
      <type></type>
      <name>PluginViewInterface</name>
      <anchorfile>classKate_1_1PluginViewInterface.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PluginViewInterface</name>
      <anchorfile>classKate_1_1PluginViewInterface.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>pluginViewInterfaceNumber</name>
      <anchorfile>classKate_1_1PluginViewInterface.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>addView</name>
      <anchorfile>classKate_1_1PluginViewInterface.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(MainWindow *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>removeView</name>
      <anchorfile>classKate_1_1PluginViewInterface.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(MainWindow *)=0</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivatePluginViewInterface</name>
      <anchorfile>classKate_1_1PluginViewInterface.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::PluginConfigInterface</name>
    <filename>classKate_1_1PluginConfigInterface.html</filename>
    <member kind="function">
      <type></type>
      <name>PluginConfigInterface</name>
      <anchorfile>classKate_1_1PluginConfigInterface.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PluginConfigInterface</name>
      <anchorfile>classKate_1_1PluginConfigInterface.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>pluginConfigInterfaceNumber</name>
      <anchorfile>classKate_1_1PluginConfigInterface.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchorfile>classKate_1_1PluginConfigInterface.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchorfile>classKate_1_1PluginConfigInterface.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivatePluginConfigInterface</name>
      <anchorfile>classKate_1_1PluginConfigInterface.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::PluginConfigPage</name>
    <filename>classKate_1_1PluginConfigPage.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKate_1_1PluginConfigPage.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PluginConfigPage</name>
      <anchorfile>classKate_1_1PluginConfigPage.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PluginConfigPage</name>
      <anchorfile>classKate_1_1PluginConfigPage.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>apply</name>
      <anchorfile>classKate_1_1PluginConfigPage.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>reset</name>
      <anchorfile>classKate_1_1PluginConfigPage.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKate_1_1PluginConfigPage.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::PluginConfigInterfaceExtension</name>
    <filename>classKate_1_1PluginConfigInterfaceExtension.html</filename>
    <member kind="function">
      <type></type>
      <name>PluginConfigInterfaceExtension</name>
      <anchorfile>classKate_1_1PluginConfigInterfaceExtension.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PluginConfigInterfaceExtension</name>
      <anchorfile>classKate_1_1PluginConfigInterfaceExtension.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>pluginConfigInterfaceExtensionNumber</name>
      <anchorfile>classKate_1_1PluginConfigInterfaceExtension.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual uint</type>
      <name>configPages</name>
      <anchorfile>classKate_1_1PluginConfigInterfaceExtension.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual PluginConfigPage *</type>
      <name>configPage</name>
      <anchorfile>classKate_1_1PluginConfigInterfaceExtension.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(uint number=0, QWidget *parent=0, const char *name=0)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>configPageName</name>
      <anchorfile>classKate_1_1PluginConfigInterfaceExtension.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(uint number=0) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>configPageFullName</name>
      <anchorfile>classKate_1_1PluginConfigInterfaceExtension.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(uint number=0) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QPixmap</type>
      <name>configPagePixmap</name>
      <anchorfile>classKate_1_1PluginConfigInterfaceExtension.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(uint number=0, int size=KIcon::SizeSmall) const =0</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivatePluginConfigInterfaceExtension</name>
      <anchorfile>classKate_1_1PluginConfigInterfaceExtension.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::PluginManager</name>
    <filename>classKate_1_1PluginManager.html</filename>
    <member kind="function">
      <type></type>
      <name>PluginManager</name>
      <anchorfile>classKate_1_1PluginManager.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(void *pluginManager)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PluginManager</name>
      <anchorfile>classKate_1_1PluginManager.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Plugin *</type>
      <name>plugin</name>
      <anchorfile>classKate_1_1PluginManager.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>pluginAvailable</name>
      <anchorfile>classKate_1_1PluginManager.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>Plugin *</type>
      <name>loadPlugin</name>
      <anchorfile>classKate_1_1PluginManager.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;name, bool permanent=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unloadPlugin</name>
      <anchorfile>classKate_1_1PluginManager.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;name, bool permanent=true)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivatePluginManager</name>
      <anchorfile>classKate_1_1PluginManager.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::InitPluginManager</name>
    <filename>classKate_1_1InitPluginManager.html</filename>
    <member kind="function">
      <type></type>
      <name>InitPluginManager</name>
      <anchorfile>classKate_1_1InitPluginManager.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(void *initPluginManager)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~InitPluginManager</name>
      <anchorfile>classKate_1_1InitPluginManager.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>performInit</name>
      <anchorfile>classKate_1_1InitPluginManager.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;libname, const KURL &amp;initScript)</arglist>
    </member>
    <member kind="function">
      <type>InitPlugin *</type>
      <name>initPlugin</name>
      <anchorfile>classKate_1_1InitPluginManager.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>initScript</name>
      <anchorfile>classKate_1_1InitPluginManager.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateInitPluginManager</name>
      <anchorfile>classKate_1_1InitPluginManager.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::Project</name>
    <filename>classKate_1_1Project.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>dirsAdded</name>
      <anchorfile>classKate_1_1Project.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;dir, const QStringList &amp;dirs)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>dirsRemoved</name>
      <anchorfile>classKate_1_1Project.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(const QString &amp;dir, const QStringList &amp;dirs)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>filesAdded</name>
      <anchorfile>classKate_1_1Project.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(const QString &amp;dir, const QStringList &amp;files)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>filesRemoved</name>
      <anchorfile>classKate_1_1Project.html</anchorfile>
      <anchor>l3</anchor>
      <arglist>(const QString &amp;dir, const QStringList &amp;files)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Project</name>
      <anchorfile>classKate_1_1Project.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(void *project)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Project</name>
      <anchorfile>classKate_1_1Project.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>projectNumber</name>
      <anchorfile>classKate_1_1Project.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>DCOPObject *</type>
      <name>dcopObject</name>
      <anchorfile>classKate_1_1Project.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ProjectPlugin *</type>
      <name>plugin</name>
      <anchorfile>classKate_1_1Project.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KConfig *</type>
      <name>data</name>
      <anchorfile>classKate_1_1Project.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KConfig *</type>
      <name>dirData</name>
      <anchorfile>classKate_1_1Project.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;dir=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>KConfig *</type>
      <name>fileData</name>
      <anchorfile>classKate_1_1Project.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;file=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>KConfig *</type>
      <name>pluginData</name>
      <anchorfile>classKate_1_1Project.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(Plugin *plugin, const QString &amp;group=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>type</name>
      <anchorfile>classKate_1_1Project.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classKate_1_1Project.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fileName</name>
      <anchorfile>classKate_1_1Project.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>dir</name>
      <anchorfile>classKate_1_1Project.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchorfile>classKate_1_1Project.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>queryClose</name>
      <anchorfile>classKate_1_1Project.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>close</name>
      <anchorfile>classKate_1_1Project.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>dirs</name>
      <anchorfile>classKate_1_1Project.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(const QString &amp;dir=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>files</name>
      <anchorfile>classKate_1_1Project.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>(const QString &amp;dir=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addDirs</name>
      <anchorfile>classKate_1_1Project.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(const QString &amp;dir, QStringList &amp;dirs)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeDirs</name>
      <anchorfile>classKate_1_1Project.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>(const QString &amp;dir, QStringList &amp;dirs)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addFiles</name>
      <anchorfile>classKate_1_1Project.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>(const QString &amp;dir, QStringList &amp;files)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeFiles</name>
      <anchorfile>classKate_1_1Project.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>(const QString &amp;dir, QStringList &amp;files)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateProject</name>
      <anchorfile>classKate_1_1Project.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::ProjectManager</name>
    <filename>classKate_1_1ProjectManager.html</filename>
    <member kind="slot">
      <type>Kate::Project *</type>
      <name>create</name>
      <anchorfile>classKate_1_1ProjectManager.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(const QString &amp;type, const QString &amp;name, const QString &amp;filename)</arglist>
    </member>
    <member kind="slot">
      <type>Project *</type>
      <name>open</name>
      <anchorfile>classKate_1_1ProjectManager.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(const QString &amp;filename)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>close</name>
      <anchorfile>classKate_1_1ProjectManager.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>(Kate::Project *project)</arglist>
    </member>
    <member kind="slot">
      <type>Kate::Project *</type>
      <name>project</name>
      <anchorfile>classKate_1_1ProjectManager.html</anchorfile>
      <anchor>i3</anchor>
      <arglist>(uint n=0)</arglist>
    </member>
    <member kind="slot">
      <type>uint</type>
      <name>projects</name>
      <anchorfile>classKate_1_1ProjectManager.html</anchorfile>
      <anchor>i4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>projectChanged</name>
      <anchorfile>classKate_1_1ProjectManager.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>projectCreated</name>
      <anchorfile>classKate_1_1ProjectManager.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(Kate::Project *project)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>projectDeleted</name>
      <anchorfile>classKate_1_1ProjectManager.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(uint projectNumber)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ProjectManager</name>
      <anchorfile>classKate_1_1ProjectManager.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(void *projectManager)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ProjectManager</name>
      <anchorfile>classKate_1_1ProjectManager.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateProjectManager</name>
      <anchorfile>classKate_1_1ProjectManager.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::ToolViewManager</name>
    <filename>classKate_1_1ToolViewManager.html</filename>
    <member kind="function">
      <type></type>
      <name>ToolViewManager</name>
      <anchorfile>classKate_1_1ToolViewManager.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(void *toolViewManager)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ToolViewManager</name>
      <anchorfile>classKate_1_1ToolViewManager.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KMDI::ToolViewAccessor *</type>
      <name>addToolView</name>
      <anchorfile>classKate_1_1ToolViewManager.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(KDockWidget::DockPosition position, QWidget *widget, const QPixmap &amp;icon, const QString &amp;sname, const QString &amp;tabToolTip=0, const QString &amp;tabCaption=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>removeToolView</name>
      <anchorfile>classKate_1_1ToolViewManager.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(QWidget *widget)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>removeToolView</name>
      <anchorfile>classKate_1_1ToolViewManager.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(KMDI::ToolViewAccessor *accessor)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showToolView</name>
      <anchorfile>classKate_1_1ToolViewManager.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(QWidget *widget)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showToolView</name>
      <anchorfile>classKate_1_1ToolViewManager.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(KMDI::ToolViewAccessor *accessor)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hideToolView</name>
      <anchorfile>classKate_1_1ToolViewManager.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(QWidget *widget)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hideToolView</name>
      <anchorfile>classKate_1_1ToolViewManager.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(KMDI::ToolViewAccessor *accessor)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateToolViewManager</name>
      <anchorfile>classKate_1_1ToolViewManager.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::ViewManager</name>
    <filename>classKate_1_1ViewManager.html</filename>
    <member kind="slot">
      <type>Kate::View *</type>
      <name>activeView</name>
      <anchorfile>classKate_1_1ViewManager.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>activateView</name>
      <anchorfile>classKate_1_1ViewManager.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(uint documentNumber)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>openURL</name>
      <anchorfile>classKate_1_1ViewManager.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>viewChanged</name>
      <anchorfile>classKate_1_1ViewManager.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ViewManager</name>
      <anchorfile>classKate_1_1ViewManager.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(void *viewManager)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ViewManager</name>
      <anchorfile>classKate_1_1ViewManager.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateViewManager</name>
      <anchorfile>classKate_1_1ViewManager.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::DockViewBase</name>
    <filename>classKate_1_1DockViewBase.html</filename>
    <member kind="function">
      <type></type>
      <name>DockViewBase</name>
      <anchorfile>classKate_1_1DockViewBase.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DockViewBase</name>
      <anchorfile>classKate_1_1DockViewBase.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;prefix, const QString &amp;title, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~DockViewBase</name>
      <anchorfile>classKate_1_1DockViewBase.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTitlePrefix</name>
      <anchorfile>classKate_1_1DockViewBase.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;prefix)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>titlePrefix</name>
      <anchorfile>classKate_1_1DockViewBase.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTitle</name>
      <anchorfile>classKate_1_1DockViewBase.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;title)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTitle</name>
      <anchorfile>classKate_1_1DockViewBase.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;prefix, const QString &amp;title)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>title</name>
      <anchorfile>classKate_1_1DockViewBase.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::ListboxView</name>
    <filename>classKate_1_1ListboxView.html</filename>
    <base>Kate::DockViewBase</base>
    <member kind="function">
      <type></type>
      <name>ListboxView</name>
      <anchorfile>classKate_1_1ListboxView.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ListboxView</name>
      <anchorfile>classKate_1_1ListboxView.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;titlePrefix, const QString &amp;title, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ListboxView</name>
      <anchorfile>classKate_1_1ListboxView.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KListBox *</type>
      <name>listbox</name>
      <anchorfile>classKate_1_1ListboxView.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::MessageView</name>
    <filename>classKate_1_1MessageView.html</filename>
    <base>Kate::DockViewBase</base>
    <member kind="slot">
      <type>void</type>
      <name>addMessage</name>
      <anchorfile>classKate_1_1MessageView.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(const QString &amp;msg)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKate_1_1MessageView.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>linkClicked</name>
      <anchorfile>classKate_1_1MessageView.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;href)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MessageView</name>
      <anchorfile>classKate_1_1MessageView.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~MessageView</name>
      <anchorfile>classKate_1_1MessageView.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KMDI</name>
    <filename>namespaceKMDI.html</filename>
  </compound>
  <compound kind="namespace">
    <name>KParts</name>
    <filename>namespaceKParts.html</filename>
  </compound>
  <compound kind="namespace">
    <name>KTextEditor</name>
    <filename>namespaceKTextEditor.html</filename>
  </compound>
</tagfile>
