<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>FaviconsModule</name>
    <filename>classFaviconsModule.html</filename>
    <member kind="dcop">
      <type>QString</type>
      <name>iconForURL</name>
      <anchorfile>classFaviconsModule.html</anchorfile>
      <anchor>z0</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="dcop">
      <type>ASYNC</type>
      <name>setIconForURL</name>
      <anchorfile>classFaviconsModule.html</anchorfile>
      <anchor>z1</anchor>
      <arglist>(const KURL &amp;url, const KURL &amp;iconURL)</arglist>
    </member>
    <member kind="dcop">
      <type>ASYNC</type>
      <name>downloadHostIcon</name>
      <anchorfile>classFaviconsModule.html</anchorfile>
      <anchor>z2</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>infoMessage</name>
      <anchorfile>classFaviconsModule.html</anchorfile>
      <anchor>z3</anchor>
      <arglist>(KURL iconURL, QString msg)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FaviconsModule</name>
      <anchorfile>classFaviconsModule.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QCString &amp;obj)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~FaviconsModule</name>
      <anchorfile>classFaviconsModule.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals</type>
      <name>__pad0__</name>
      <anchorfile>classFaviconsModule.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals QString</type>
      <name>hostOrURL</name>
      <anchorfile>classFaviconsModule.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals QString QString</type>
      <name>iconName</name>
      <anchorfile>classFaviconsModule.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KFileIVI</name>
    <filename>classKFileIVI.html</filename>
    <member kind="function">
      <type></type>
      <name>KFileIVI</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KonqIconViewWidget *iconview, KFileItem *fileitem, int size)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KFileIVI</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>returnPressed</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KFileItem *</type>
      <name>item</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>acceptDrop</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QMimeSource *mime) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setIcon</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(int size, int state=KIcon::DefaultState, bool recalc=false, bool redraw=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPixmapDirect</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QPixmap &amp;pixmap, bool recalc=false, bool redraw=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>invalidateThumb</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(int state, bool redraw=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>invalidateThumbnail</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isThumbnailInvalid</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasValidThumbnail</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>state</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>iconSize</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisabled</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(bool disabled)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setThumbnailPixmap</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(const QPixmap &amp;pixmap)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEffect</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(int state)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isThumbnail</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOverlay</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>(const QString &amp;iconName)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>refreshIcon</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(bool redraw)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setKey</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>(const QString &amp;key)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>paintItem</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>(QPainter *p, const QColorGroup &amp;cg)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>move</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>(int x, int y)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMouseOverAnimation</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>(const QString &amp;movieFileName)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>mouseOverAnimation</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasAnimation</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAnimated</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a25</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAnimated</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a26</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActive</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a27</anchor>
      <arglist>(bool active)</arglist>
    </member>
    <member kind="function">
      <type>KIVDirectoryOverlay *</type>
      <name>setShowDirectoryOverlay</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a28</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showDirectoryOverlay</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a29</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>compare</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>a30</anchor>
      <arglist>(QIconViewItem *i) const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>dropped</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QDropEvent *e, const QValueList&lt; QIconDragItem &gt; &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>paintOverlay</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(QPainter *p) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QColorGroup</type>
      <name>updateColors</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(const QColorGroup &amp;c) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>paintFontUpdate</name>
      <anchorfile>classKFileIVI.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>(QPainter *p) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KIVDirectoryOverlay</name>
    <filename>classKIVDirectoryOverlay.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>finished</name>
      <anchorfile>classKIVDirectoryOverlay.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIVDirectoryOverlay</name>
      <anchorfile>classKIVDirectoryOverlay.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KFileIVI *directory)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KIVDirectoryOverlay</name>
      <anchorfile>classKIVDirectoryOverlay.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>start</name>
      <anchorfile>classKIVDirectoryOverlay.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>timerEvent</name>
      <anchorfile>classKIVDirectoryOverlay.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QTimerEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNewMenu</name>
    <filename>classKNewMenu.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotCheckUpToDate</name>
      <anchorfile>classKNewMenu.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KNewMenu</name>
      <anchorfile>classKNewMenu.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KActionCollection *_collec, const char *name=0L)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KNewMenu</name>
      <anchorfile>classKNewMenu.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(KActionCollection *_collec, QWidget *parentWidget, const char *name=0L)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KNewMenu</name>
      <anchorfile>classKNewMenu.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPopupFiles</name>
      <anchorfile>classKNewMenu.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(KURL::List &amp;_files)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPopupFiles</name>
      <anchorfile>classKNewMenu.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const KURL &amp;_file)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotNewDir</name>
      <anchorfile>classKNewMenu.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotNewFile</name>
      <anchorfile>classKNewMenu.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotFillTemplates</name>
      <anchorfile>classKNewMenu.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotResult</name>
      <anchorfile>classKNewMenu.html</anchorfile>
      <anchor>j3</anchor>
      <arglist>(KIO::Job *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotRenamed</name>
      <anchorfile>classKNewMenu.html</anchorfile>
      <anchor>j4</anchor>
      <arglist>(KIO::Job *, const KURL &amp;, const KURL &amp;)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KonqBasicOperation</name>
    <filename>structKonqBasicOperation.html</filename>
    <member kind="typedef">
      <type>QValueStack&lt; KonqBasicOperation &gt;</type>
      <name>Stack</name>
      <anchorfile>structKonqBasicOperation.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KonqBasicOperation</name>
      <anchorfile>structKonqBasicOperation.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>m_valid</name>
      <anchorfile>structKonqBasicOperation.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>m_directory</name>
      <anchorfile>structKonqBasicOperation.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>m_renamed</name>
      <anchorfile>structKonqBasicOperation.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>m_link</name>
      <anchorfile>structKonqBasicOperation.html</anchorfile>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KURL</type>
      <name>m_src</name>
      <anchorfile>structKonqBasicOperation.html</anchorfile>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KURL</type>
      <name>m_dst</name>
      <anchorfile>structKonqBasicOperation.html</anchorfile>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>m_target</name>
      <anchorfile>structKonqBasicOperation.html</anchorfile>
      <anchor>o6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqBgndDialog</name>
    <filename>classKonqBgndDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>KonqBgndDialog</name>
      <anchorfile>classKonqBgndDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, const QString &amp;pixmapFile, const QColor &amp;theColor, const QColor &amp;defaultColor)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KonqBgndDialog</name>
      <anchorfile>classKonqBgndDialog.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QColor</type>
      <name>color</name>
      <anchorfile>classKonqBgndDialog.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>pixmapFile</name>
      <anchorfile>classKonqBgndDialog.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqBookmarkManager</name>
    <filename>classKonqBookmarkManager.html</filename>
    <member kind="function" static="yes">
      <type>static KBookmarkManager *</type>
      <name>self</name>
      <anchorfile>classKonqBookmarkManager.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KonqCommand</name>
    <filename>structKonqCommand.html</filename>
    <member kind="typedef">
      <type>QValueStack&lt; KonqCommand &gt;</type>
      <name>Stack</name>
      <anchorfile>structKonqCommand.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Type</name>
      <anchor>w6</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KonqCommand</name>
      <anchorfile>structKonqCommand.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>m_valid</name>
      <anchorfile>structKonqCommand.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Type</type>
      <name>m_type</name>
      <anchorfile>structKonqCommand.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KonqBasicOperation::Stack</type>
      <name>m_opStack</name>
      <anchorfile>structKonqCommand.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KURL::List</type>
      <name>m_src</name>
      <anchorfile>structKonqCommand.html</anchorfile>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KURL</type>
      <name>m_dst</name>
      <anchorfile>structKonqCommand.html</anchorfile>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqCommandRecorder</name>
    <filename>classKonqCommandRecorder.html</filename>
    <member kind="function">
      <type></type>
      <name>KonqCommandRecorder</name>
      <anchorfile>classKonqCommandRecorder.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KonqCommand::Type op, const KURL::List &amp;src, const KURL &amp;dst, KIO::Job *job)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KonqCommandRecorder</name>
      <anchorfile>classKonqCommandRecorder.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqConfigEvent</name>
    <filename>classKonqConfigEvent.html</filename>
    <member kind="function">
      <type></type>
      <name>KonqConfigEvent</name>
      <anchorfile>classKonqConfigEvent.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KConfig *config, const QString &amp;prefix, bool save)</arglist>
    </member>
    <member kind="function">
      <type>KConfig *</type>
      <name>config</name>
      <anchorfile>classKonqConfigEvent.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>prefix</name>
      <anchorfile>classKonqConfigEvent.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchorfile>classKonqConfigEvent.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>test</name>
      <anchorfile>classKonqConfigEvent.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const QEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqDirPart</name>
    <filename>classKonqDirPart.html</filename>
    <member kind="slot">
      <type>bool</type>
      <name>openURL</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(const KURL &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFindClosed</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotStartAnimationSearching</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotStopAnimationSearching</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>i3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotBackgroundSettings</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>i4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotClipboardDataChanged</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>i5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotIncIconSize</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>i6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotDecIconSize</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>i7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotIconSizeToggled</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>i8</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>slotStarted</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>i9</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>slotCanceled</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>i10</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>slotCompleted</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>i11</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>slotNewItems</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>i12</anchor>
      <arglist>(const KFileItemList &amp;)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>slotDeleteItem</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>i13</anchor>
      <arglist>(KFileItem *)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>slotRefreshItems</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>i14</anchor>
      <arglist>(const KFileItemList &amp;)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>slotClear</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>i15</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>slotRedirection</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>i16</anchor>
      <arglist>(const KURL &amp;)=0</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>aboutToOpenURL</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>findOpen</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(KonqDirPart *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>findOpened</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(KonqDirPart *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>findClosed</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>l3</anchor>
      <arglist>(KonqDirPart *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>itemsAdded</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>l4</anchor>
      <arglist>(const KFileItemList &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>itemRemoved</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>l5</anchor>
      <arglist>(const KFileItem *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>itemsFilteredByMime</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>l6</anchor>
      <arglist>(const KFileItemList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KonqDirPart</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KonqDirPart</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBrowserExtension</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(KonqDirPartBrowserExtension *extension)</arglist>
    </member>
    <member kind="function">
      <type>KonqDirPartBrowserExtension *</type>
      <name>extension</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDirLister</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(KDirLister *lister)</arglist>
    </member>
    <member kind="function">
      <type>QScrollView *</type>
      <name>scrollWidget</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveState</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(QDataStream &amp;stream)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>restoreState</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(QDataStream &amp;stream)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>lmbClicked</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(KFileItem *fileItem)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>mmbClicked</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(KFileItem *fileItem)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNameFilter</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const QString &amp;nameFilter)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>nameFilter</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFilesToSelect</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(const QStringList &amp;filesToSelect)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMimeFilter</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(const QStringList &amp;filters)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>mimeFilter</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KonqPropsView *</type>
      <name>props</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>disableIcons</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(const KURL::List &amp;lst)=0</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resetCount</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>newItems</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(const KFileItemList &amp;entries)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteItem</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>(KFileItem *fileItem)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitTotalCount</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitCounts</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>(const KFileItemList &amp;lst, bool selectionChanged)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitCounts</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>(const KFileItemList &amp;lst)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitMouseOver</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>(const KFileItem *item)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updatePasteAction</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>newIconSize</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a25</anchor>
      <arglist>(int size)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIconSize</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a26</anchor>
      <arglist>(int size)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFindPart</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a27</anchor>
      <arglist>(KParts::ReadOnlyPart *part)</arglist>
    </member>
    <member kind="function">
      <type>KParts::ReadOnlyPart *</type>
      <name>findPart</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a28</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual const KFileItem *</type>
      <name>currentItem</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a29</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KFileItemList</type>
      <name>selectedFileItems</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a30</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeURL</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>a31</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual bool</type>
      <name>doOpenURL</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(const KURL &amp;)=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual bool</type>
      <name>doCloseURL</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_nameFilter</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>m_filesToSelect</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KonqPropsView *</type>
      <name>m_pProps</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KAction *</type>
      <name>m_paIncIconSize</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KAction *</type>
      <name>m_paDecIconSize</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KToggleAction *</type>
      <name>m_paDefaultIcons</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KToggleAction *</type>
      <name>m_paHugeIcons</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KToggleAction *</type>
      <name>m_paLargeIcons</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KToggleAction *</type>
      <name>m_paMediumIcons</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KToggleAction *</type>
      <name>m_paSmallIcons</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>p9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KParts::ReadOnlyPart *</type>
      <name>m_findPart</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>p10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KonqDirPartBrowserExtension *</type>
      <name>m_extension</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>p11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>m_iIconSize</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>p12</anchor>
      <arglist>[5]</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KIO::filesize_t</type>
      <name>m_lDirSize</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>p13</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>uint</type>
      <name>m_lFileCount</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>p14</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>uint</type>
      <name>m_lDirCount</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>p15</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KonqDirPartBrowserExtension</name>
      <anchorfile>classKonqDirPart.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqDirPartBrowserExtension</name>
    <filename>classKonqDirPartBrowserExtension.html</filename>
    <member kind="function">
      <type></type>
      <name>KonqDirPartBrowserExtension</name>
      <anchorfile>classKonqDirPartBrowserExtension.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KonqDirPart *dirPart)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveState</name>
      <anchorfile>classKonqDirPartBrowserExtension.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(QDataStream &amp;stream)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>restoreState</name>
      <anchorfile>classKonqDirPartBrowserExtension.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(QDataStream &amp;stream)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqDrag</name>
    <filename>classKonqDrag.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KonqDrag</name>
      <anchorfile>classKonqDrag.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>format</name>
      <anchorfile>classKonqDrag.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(int i) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QByteArray</type>
      <name>encodedData</name>
      <anchorfile>classKonqDrag.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const char *mime) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMoveSelection</name>
      <anchorfile>classKonqDrag.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(bool move)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KonqDrag *</type>
      <name>newDrag</name>
      <anchorfile>classKonqDrag.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const KURL::List &amp;urls, bool move, QWidget *dragSource=0, const char *name=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>decodeIsCutSelection</name>
      <anchorfile>classKonqDrag.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(const QMimeSource *e)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KonqDrag</name>
      <anchorfile>classKonqDrag.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(const QStrList &amp;urls, bool move, QWidget *dragSource, const char *name)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bCutSelection</name>
      <anchorfile>classKonqDrag.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStrList</type>
      <name>m_urls</name>
      <anchorfile>classKonqDrag.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqFavIconMgr</name>
    <filename>classKonqFavIconMgr.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKonqFavIconMgr.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>notifyChange</name>
      <anchorfile>classKonqFavIconMgr.html</anchorfile>
      <anchor>z0</anchor>
      <arglist>(bool, QString, QString)=0</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KonqFavIconMgr</name>
      <anchorfile>classKonqFavIconMgr.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setIconForURL</name>
      <anchorfile>classKonqFavIconMgr.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const KURL &amp;url, const KURL &amp;iconURL)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>downloadHostIcon</name>
      <anchorfile>classKonqFavIconMgr.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>iconForURL</name>
      <anchorfile>classKonqFavIconMgr.html</anchorfile>
      <anchor>e2</anchor>
      <arglist>(const QString &amp;url)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqFileMouseOverEvent</name>
    <filename>classKonqFileMouseOverEvent.html</filename>
    <member kind="function">
      <type></type>
      <name>KonqFileMouseOverEvent</name>
      <anchorfile>classKonqFileMouseOverEvent.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const KFileItem *item, KParts::ReadOnlyPart *part)</arglist>
    </member>
    <member kind="function">
      <type>const KFileItem *</type>
      <name>item</name>
      <anchorfile>classKonqFileMouseOverEvent.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KParts::ReadOnlyPart *</type>
      <name>part</name>
      <anchorfile>classKonqFileMouseOverEvent.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>test</name>
      <anchorfile>classKonqFileMouseOverEvent.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const QEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqFileSelectionEvent</name>
    <filename>classKonqFileSelectionEvent.html</filename>
    <member kind="function">
      <type></type>
      <name>KonqFileSelectionEvent</name>
      <anchorfile>classKonqFileSelectionEvent.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const KFileItemList &amp;selection, KParts::ReadOnlyPart *part)</arglist>
    </member>
    <member kind="function">
      <type>KFileItemList</type>
      <name>selection</name>
      <anchorfile>classKonqFileSelectionEvent.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KParts::ReadOnlyPart *</type>
      <name>part</name>
      <anchorfile>classKonqFileSelectionEvent.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>test</name>
      <anchorfile>classKonqFileSelectionEvent.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const QEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqFileTip</name>
    <filename>classKonqFileTip.html</filename>
    <member kind="function">
      <type></type>
      <name>KonqFileTip</name>
      <anchorfile>classKonqFileTip.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QScrollView *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KonqFileTip</name>
      <anchorfile>classKonqFileTip.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPreview</name>
      <anchorfile>classKonqFileTip.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOptions</name>
      <anchorfile>classKonqFileTip.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(bool on, bool preview, int num)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setItem</name>
      <anchorfile>classKonqFileTip.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(KFileItem *item, const QRect &amp;rect=QRect(), const QPixmap *pixmap=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classKonqFileTip.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(QObject *, QEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>drawContents</name>
      <anchorfile>classKonqFileTip.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QPainter *p)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>resizeEvent</name>
      <anchorfile>classKonqFileTip.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(QResizeEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqFMSettings</name>
    <filename>classKonqFMSettings.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>shouldEmbed</name>
      <anchorfile>classKonqFMSettings.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;serviceType) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>wordWrapText</name>
      <anchorfile>classKonqFMSettings.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>iconTextHeight</name>
      <anchorfile>classKonqFMSettings.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>iconTextWidth</name>
      <anchorfile>classKonqFMSettings.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>underlineLink</name>
      <anchorfile>classKonqFMSettings.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fileSizeInBytes</name>
      <anchorfile>classKonqFMSettings.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>alwaysNewWin</name>
      <anchorfile>classKonqFMSettings.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>homeURL</name>
      <anchorfile>classKonqFMSettings.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showFileTips</name>
      <anchorfile>classKonqFMSettings.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showPreviewsInFileTips</name>
      <anchorfile>classKonqFMSettings.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numFileTips</name>
      <anchorfile>classKonqFMSettings.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>renameIconDirectly</name>
      <anchorfile>classKonqFMSettings.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QFont &amp;</type>
      <name>standardFont</name>
      <anchorfile>classKonqFMSettings.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QColor &amp;</type>
      <name>normalTextColor</name>
      <anchorfile>classKonqFMSettings.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QColor &amp;</type>
      <name>highlightedTextColor</name>
      <anchorfile>classKonqFMSettings.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QColor &amp;</type>
      <name>itemTextBackground</name>
      <anchorfile>classKonqFMSettings.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>textPreviewIconTransparency</name>
      <anchorfile>classKonqFMSettings.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>caseSensitiveCompare</name>
      <anchorfile>classKonqFMSettings.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>(const QString &amp;a, const QString &amp;b) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KonqFMSettings *</type>
      <name>settings</name>
      <anchorfile>classKonqFMSettings.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>reparseConfiguration</name>
      <anchorfile>classKonqFMSettings.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KonqFMSettings</name>
      <anchorfile>classKonqFMSettings.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual</type>
      <name>~KonqFMSettings</name>
      <anchorfile>classKonqFMSettings.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqHistoryComm</name>
    <filename>classKonqHistoryComm.html</filename>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>notifyHistoryEntry</name>
      <anchorfile>classKonqHistoryComm.html</anchorfile>
      <anchor>z0</anchor>
      <arglist>(KonqHistoryEntry e, QCString saveId)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>notifyMaxCount</name>
      <anchorfile>classKonqHistoryComm.html</anchorfile>
      <anchor>z1</anchor>
      <arglist>(Q_UINT32 count, QCString saveId)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>notifyMaxAge</name>
      <anchorfile>classKonqHistoryComm.html</anchorfile>
      <anchor>z2</anchor>
      <arglist>(Q_UINT32 days, QCString saveId)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>notifyClear</name>
      <anchorfile>classKonqHistoryComm.html</anchorfile>
      <anchor>z3</anchor>
      <arglist>(QCString saveId)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>notifyRemove</name>
      <anchorfile>classKonqHistoryComm.html</anchorfile>
      <anchor>z4</anchor>
      <arglist>(KURL url, QCString saveId)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>notifyRemove</name>
      <anchorfile>classKonqHistoryComm.html</anchorfile>
      <anchor>z5</anchor>
      <arglist>(KURL::List url, QCString saveId)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QStringList</type>
      <name>allURLs</name>
      <anchorfile>classKonqHistoryComm.html</anchorfile>
      <anchor>z6</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KonqHistoryComm</name>
      <anchorfile>classKonqHistoryComm.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QCString objId)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqHistoryEntry</name>
    <filename>classKonqHistoryEntry.html</filename>
    <member kind="function">
      <type></type>
      <name>KonqHistoryEntry</name>
      <anchorfile>classKonqHistoryEntry.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>KURL</type>
      <name>url</name>
      <anchorfile>classKonqHistoryEntry.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>typedURL</name>
      <anchorfile>classKonqHistoryEntry.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>title</name>
      <anchorfile>classKonqHistoryEntry.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Q_UINT32</type>
      <name>numberOfTimesVisited</name>
      <anchorfile>classKonqHistoryEntry.html</anchorfile>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QDateTime</type>
      <name>firstVisited</name>
      <anchorfile>classKonqHistoryEntry.html</anchorfile>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QDateTime</type>
      <name>lastVisited</name>
      <anchorfile>classKonqHistoryEntry.html</anchorfile>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static bool</type>
      <name>marshalURLAsStrings</name>
      <anchorfile>classKonqHistoryEntry.html</anchorfile>
      <anchor>s0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqHistoryList</name>
    <filename>classKonqHistoryList.html</filename>
    <member kind="function">
      <type>KonqHistoryEntry *</type>
      <name>findEntry</name>
      <anchorfile>classKonqHistoryList.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual int</type>
      <name>compareItems</name>
      <anchorfile>classKonqHistoryList.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QPtrCollection::Item, QPtrCollection::Item)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqHistoryManager</name>
    <filename>classKonqHistoryManager.html</filename>
    <base>KonqHistoryComm</base>
    <member kind="slot">
      <type>bool</type>
      <name>loadHistory</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>saveHistory</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>emitClear</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>loadingFinished</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>entryAdded</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(const KonqHistoryEntry *entry)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>entryRemoved</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(const KonqHistoryEntry *entry)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KonqHistoryManager</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KonqHistoryManager</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitSetMaxCount</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(Q_UINT32 count)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitSetMaxAge</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(Q_UINT32 days)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitRemoveFromHistory</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitRemoveFromHistory</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const KURL::List &amp;urls)</arglist>
    </member>
    <member kind="function">
      <type>Q_UINT32</type>
      <name>maxCount</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Q_UINT32</type>
      <name>maxAge</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPending</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;typedURL=QString::null, const QString &amp;title=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>confirmPending</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;typedURL=QString::null, const QString &amp;title=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removePending</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>KCompletion *</type>
      <name>completionObject</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const KonqHistoryList &amp;</type>
      <name>entries</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>remove</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KonqHistoryManager *</type>
      <name>kself</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>adjustSize</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>isExpired</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(KonqHistoryEntry *entry)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>emitAddToHistory</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(const KonqHistoryEntry &amp;entry)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>notifyHistoryEntry</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>(KonqHistoryEntry e, QCString saveId)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>notifyMaxCount</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>b4</anchor>
      <arglist>(Q_UINT32 count, QCString saveId)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>notifyMaxAge</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>b5</anchor>
      <arglist>(Q_UINT32 days, QCString saveId)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>notifyClear</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>b6</anchor>
      <arglist>(QCString saveId)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>notifyRemove</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>b7</anchor>
      <arglist>(KURL url, QCString saveId)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>notifyRemove</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>b8</anchor>
      <arglist>(KURL::List urls, QCString saveId)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>allURLs</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>b9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addToHistory</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>b10</anchor>
      <arglist>(bool pending, const KURL &amp;url, const QString &amp;typedURL=QString::null, const QString &amp;title=QString::null)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>filterOut</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>b11</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addToUpdateList</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>b12</anchor>
      <arglist>(const QString &amp;url)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>m_updateURLs</name>
      <anchorfile>classKonqHistoryManager.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqIconDrag</name>
    <filename>classKonqIconDrag.html</filename>
    <member kind="function">
      <type></type>
      <name>KonqIconDrag</name>
      <anchorfile>classKonqIconDrag.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *dragSource, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KonqIconDrag</name>
      <anchorfile>classKonqIconDrag.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>format</name>
      <anchorfile>classKonqIconDrag.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(int i) const </arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>encodedData</name>
      <anchorfile>classKonqIconDrag.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const char *mime) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchorfile>classKonqIconDrag.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QIconDragItem &amp;item, const QRect &amp;pr, const QRect &amp;tr, const QString &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMoveSelection</name>
      <anchorfile>classKonqIconDrag.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(bool move)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>canDecode</name>
      <anchorfile>classKonqIconDrag.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const QMimeSource *e)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>urls</name>
      <anchorfile>classKonqIconDrag.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bCutSelection</name>
      <anchorfile>classKonqIconDrag.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqIconViewWidget</name>
    <filename>classKonqIconViewWidget.html</filename>
    <member kind="enumeration">
      <name>LineupMode</name>
      <anchor>w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotSelectionChanged</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotSaveIconPositions</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>renameSelectedItem</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>renameCurrentItem</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>i3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotToolTipPreview</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>i4</anchor>
      <arglist>(const KFileItem *, const QPixmap &amp;) KDE_DEPRECATED</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotToolTipPreviewResult</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>i5</anchor>
      <arglist>() KDE_DEPRECATED</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>enableAction</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const char *name, bool enabled)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>dropped</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>imagePreviewFinished</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>incIconSize</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>l3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>decIconSize</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>l4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>dragEntered</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>l5</anchor>
      <arglist>(bool accepted)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>dragLeft</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>l6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>dragMove</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>l7</anchor>
      <arglist>(bool accepted)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>dragFinished</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>l8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KonqIconViewWidget</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0L, const char *name=0L, WFlags f=0, bool kdesktop=FALSE)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KonqIconViewWidget</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>initConfig</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(bool bInit)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIconArea</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QRect &amp;rect)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>focusOutEvent</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(QFocusEvent *)</arglist>
    </member>
    <member kind="function">
      <type>QRect</type>
      <name>iconArea</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLineupMode</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(int mode)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>lineupMode</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>lineupIcons</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>lineupIcons</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(QIconView::Arrangement arrangement)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIcons</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(int size, const QStringList &amp;stopImagePreviewFor=QStringList())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>refreshMimeTypes</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>iconSize</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>calculateGridX</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>gridXValue</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>gridValues</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(int *x, int *y, int *dx, int *dy, int *nx, int *ny)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startImagePreview</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(const QStringList &amp;ignored, bool force)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stopImagePreview</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPreviewRunning</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setThumbnailPixmap</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>(KFileIVI *item, const QPixmap &amp;pixmap)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>disableSoundPreviews</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setURL</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>(const KURL &amp;kurl)</arglist>
    </member>
    <member kind="function">
      <type>const KURL &amp;</type>
      <name>url</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>urlString</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRootItem</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>(const KFileItem *item)</arglist>
    </member>
    <member kind="function">
      <type>KFileItemList</type>
      <name>selectedFileItems</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a25</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setItemColor</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a26</anchor>
      <arglist>(const QColor &amp;c)</arglist>
    </member>
    <member kind="function">
      <type>QColor</type>
      <name>itemColor</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a27</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>cutSelection</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a28</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>copySelection</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a29</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>pasteSelection</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a30</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KURL::List</type>
      <name>selectedUrls</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a31</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>paste</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a32</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sortDirectoriesFirst</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a33</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSortDirectoriesFirst</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a34</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCaseInsensitiveSort</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a35</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>caseInsensitiveSort</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a36</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const KURL::List &amp;</type>
      <name>dragURLs</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a37</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a38</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>takeItem</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a39</anchor>
      <arglist>(QIconViewItem *item)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insertInGrid</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a40</anchor>
      <arglist>(QIconViewItem *item)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setItemTextPos</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a41</anchor>
      <arglist>(ItemTextPos pos)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>visualActivate</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a42</anchor>
      <arglist>(QIconViewItem *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDesktop</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a43</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setWallpaper</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a44</anchor>
      <arglist>(const KURL &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>maySetWallpaper</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a45</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaySetWallpaper</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a46</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>disableIcons</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a47</anchor>
      <arglist>(const KURL::List &amp;lst)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>iconPositionGroupPrefix</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a48</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>dotDirectoryPath</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a49</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPreviewSettings</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a50</anchor>
      <arglist>(const QStringList &amp;mimeTypes)</arglist>
    </member>
    <member kind="function">
      <type>const QStringList &amp;</type>
      <name>previewSettings</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a51</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNewURL</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>a52</anchor>
      <arglist>(const QString &amp;url)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotDropped</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(QDropEvent *e, const QValueList&lt; QIconDragItem &gt; &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotItemRenamed</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>(QIconViewItem *item, const QString &amp;name)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotIconChanged</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOnItem</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>j3</anchor>
      <arglist>(QIconViewItem *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOnViewport</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>j4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotStartSoundPreview</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>j5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotPreview</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>j6</anchor>
      <arglist>(const KFileItem *, const QPixmap &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotPreviewResult</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>j7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotMovieUpdate</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>j8</anchor>
      <arglist>(const QRect &amp;rect)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotMovieStatus</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>j9</anchor>
      <arglist>(int status)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotReenableAnimation</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>j10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotAboutToCreate</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>j11</anchor>
      <arglist>(const QPoint &amp;pos, const QValueList&lt; KIO::CopyInfo &gt; &amp;files)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>doubleClickTimeout</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>j12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual QDragObject *</type>
      <name>dragObject</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KonqIconDrag *</type>
      <name>konqDragObject</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(QWidget *dragSource=0L)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>mimeTypeMatch</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(const QString &amp;mimeType, const QStringList &amp;mimeList) const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>drawBackground</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>(QPainter *p, const QRect &amp;r)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>drawBackground</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>b4</anchor>
      <arglist>(QPainter *p, const QRect &amp;r, const QPoint &amp;pt)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsDragEnterEvent</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>b5</anchor>
      <arglist>(QDragEnterEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsDragLeaveEvent</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>b6</anchor>
      <arglist>(QDragLeaveEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsDragMoveEvent</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>b7</anchor>
      <arglist>(QDragMoveEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsDropEvent</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>b8</anchor>
      <arglist>(QDropEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsMousePressEvent</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>b9</anchor>
      <arglist>(QMouseEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsMouseReleaseEvent</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>b10</anchor>
      <arglist>(QMouseEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsMouseMoveEvent</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>b11</anchor>
      <arglist>(QMouseEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>backgroundPixmapChange</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>b12</anchor>
      <arglist>(const QPixmap &amp;)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>wheelEvent</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>b13</anchor>
      <arglist>(QWheelEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>leaveEvent</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>b14</anchor>
      <arglist>(QEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>readAnimatedIconsConfig</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>b15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>mousePressChangeValue</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>b16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>boostPreview</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>b17</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>previewIconSize</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>b18</anchor>
      <arglist>(int size) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>largestPreviewIconSize</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>b19</anchor>
      <arglist>(int size) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>canPreview</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>b20</anchor>
      <arglist>(KFileItem *item)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>updatePreviewMimeTypes</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>b21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>sortDirectoriesFirst</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>00</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>QRect</type>
      <name>iconArea</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>01</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>int</type>
      <name>lineupMode</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>02</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>QString</type>
      <name>url</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>03</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>KFileIVI</name>
      <anchorfile>classKonqIconViewWidget.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqMultiRestoreJob</name>
    <filename>classKonqMultiRestoreJob.html</filename>
    <member kind="function">
      <type></type>
      <name>KonqMultiRestoreJob</name>
      <anchorfile>classKonqMultiRestoreJob.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const KURL::List &amp;urls, bool showProgressInfo)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotStart</name>
      <anchorfile>classKonqMultiRestoreJob.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotResult</name>
      <anchorfile>classKonqMultiRestoreJob.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqOperations</name>
    <filename>classKonqOperations.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>statFinished</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const KFileItem *item)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>aboutToCreate</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(const QPoint &amp;pos, const QValueList&lt; KIO::CopyInfo &gt; &amp;files)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>editMimeType</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const QString &amp;mimeType)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>del</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(QWidget *parent, int method, const KURL::List &amp;selectedURLs)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>copy</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>e2</anchor>
      <arglist>(QWidget *parent, int method, const KURL::List &amp;selectedURLs, const KURL &amp;destUrl)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>doDrop</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>e3</anchor>
      <arglist>(const KFileItem *destItem, const KURL &amp;destURL, QDropEvent *ev, QWidget *parent)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>doPaste</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>e4</anchor>
      <arglist>(QWidget *parent, const KURL &amp;destURL, const QPoint &amp;pos)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>doPaste</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>e5</anchor>
      <arglist>(QWidget *parent, const KURL &amp;destURL)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>emptyTrash</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>e6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>restoreTrashedItems</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>e7</anchor>
      <arglist>(const KURL::List &amp;urls)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>mkdir</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>e8</anchor>
      <arglist>(QWidget *parent, const KURL &amp;url)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>statURL</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>e9</anchor>
      <arglist>(const KURL &amp;url, const QObject *receiver, const char *member)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>rename</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>e10</anchor>
      <arglist>(QWidget *parent, const KURL &amp;oldurl, const QString &amp;name)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>rename</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>e11</anchor>
      <arglist>(QWidget *parent, const KURL &amp;oldurl, const KURL &amp;newurl)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>newDir</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>e12</anchor>
      <arglist>(QWidget *parent, const KURL &amp;baseURL)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotAboutToCreate</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(KIO::Job *job, const QValueList&lt; KIO::CopyInfo &gt; &amp;files)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotResult</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotStatResult</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>asyncDrop</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>j3</anchor>
      <arglist>(const KFileItem *item)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotKIOPaste</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>j4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>doFileCopy</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>j5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KonqOperations</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual</type>
      <name>~KonqOperations</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>askDeleteConfirmation</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(const KURL::List &amp;selectedURLs, int confirmation)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>_del</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>(int method, const KURL::List &amp;selectedURLs, int confirmation)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>_restoreTrashedItems</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>b4</anchor>
      <arglist>(const KURL::List &amp;urls)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>_statURL</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>b5</anchor>
      <arglist>(const KURL &amp;url, const QObject *receiver, const char *member)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setOperation</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>b6</anchor>
      <arglist>(KIO::Job *job, int method, const KURL::List &amp;src, const KURL &amp;dest)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setDropInfo</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>b7</anchor>
      <arglist>(DropInfo *info)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setPasteInfo</name>
      <anchorfile>classKonqOperations.html</anchorfile>
      <anchor>b8</anchor>
      <arglist>(KIOPasteInfo *info)</arglist>
    </member>
    <class kind="struct">KonqOperations::DropInfo</class>
    <class kind="struct">KonqOperations::KIOPasteInfo</class>
  </compound>
  <compound kind="struct">
    <name>KonqOperations::DropInfo</name>
    <filename>structKonqOperations_1_1DropInfo.html</filename>
    <member kind="function">
      <type></type>
      <name>DropInfo</name>
      <anchorfile>structKonqOperations_1_1DropInfo.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(uint k, KURL::List &amp;l, const QMap&lt; QString, QString &gt; &amp;m, int x, int y, QDropEvent::Action a)</arglist>
    </member>
    <member kind="variable">
      <type>uint</type>
      <name>keybstate</name>
      <anchorfile>structKonqOperations_1_1DropInfo.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KURL::List</type>
      <name>lst</name>
      <anchorfile>structKonqOperations_1_1DropInfo.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QMap&lt; QString, QString &gt;</type>
      <name>metaData</name>
      <anchorfile>structKonqOperations_1_1DropInfo.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QPoint</type>
      <name>mousePos</name>
      <anchorfile>structKonqOperations_1_1DropInfo.html</anchorfile>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QDropEvent::Action</type>
      <name>action</name>
      <anchorfile>structKonqOperations_1_1DropInfo.html</anchorfile>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KonqOperations::KIOPasteInfo</name>
    <filename>structKonqOperations_1_1KIOPasteInfo.html</filename>
    <member kind="variable">
      <type>QByteArray</type>
      <name>data</name>
      <anchorfile>structKonqOperations_1_1KIOPasteInfo.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KURL</type>
      <name>destURL</name>
      <anchorfile>structKonqOperations_1_1KIOPasteInfo.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QPoint</type>
      <name>mousePos</name>
      <anchorfile>structKonqOperations_1_1KIOPasteInfo.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>dialogText</name>
      <anchorfile>structKonqOperations_1_1KIOPasteInfo.html</anchorfile>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqPixmapProvider</name>
    <filename>classKonqPixmapProvider.html</filename>
    <base>KonqFavIconMgr</base>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KonqPixmapProvider</name>
      <anchorfile>classKonqPixmapProvider.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QPixmap</type>
      <name>pixmapFor</name>
      <anchorfile>classKonqPixmapProvider.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;url, int size=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKonqPixmapProvider.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(KConfig *kc, const QString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKonqPixmapProvider.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(KConfig *, const QString &amp;key, const QStringList &amp;items)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKonqPixmapProvider.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>iconNameFor</name>
      <anchorfile>classKonqPixmapProvider.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;url)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KonqPixmapProvider *</type>
      <name>self</name>
      <anchorfile>classKonqPixmapProvider.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KonqPixmapProvider</name>
      <anchorfile>classKonqPixmapProvider.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>notifyChange</name>
      <anchorfile>classKonqPixmapProvider.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(bool isHost, QString hostOrURL, QString iconName)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QPixmap</type>
      <name>loadIcon</name>
      <anchorfile>classKonqPixmapProvider.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(const QString &amp;url, const QString &amp;icon, int size)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqPopupMenu</name>
    <filename>classKonqPopupMenu.html</filename>
    <base>KonqXMLGUIClient</base>
    <member kind="typedef">
      <type>uint</type>
      <name>KonqPopupFlags</name>
      <anchorfile>classKonqPopupMenu.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotPopupNewDir</name>
      <anchorfile>classKonqPopupMenu.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotPopupNewView</name>
      <anchorfile>classKonqPopupMenu.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotPopupEmptyTrashBin</name>
      <anchorfile>classKonqPopupMenu.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotPopupRestoreTrashedItems</name>
      <anchorfile>classKonqPopupMenu.html</anchorfile>
      <anchor>i3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotPopupOpenWith</name>
      <anchorfile>classKonqPopupMenu.html</anchorfile>
      <anchor>i4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotPopupAddToBookmark</name>
      <anchorfile>classKonqPopupMenu.html</anchorfile>
      <anchor>i5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotRunService</name>
      <anchorfile>classKonqPopupMenu.html</anchorfile>
      <anchor>i6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotPopupMimeType</name>
      <anchorfile>classKonqPopupMenu.html</anchorfile>
      <anchor>i7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotPopupProperties</name>
      <anchorfile>classKonqPopupMenu.html</anchorfile>
      <anchor>i8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotOpenShareFileDialog</name>
      <anchorfile>classKonqPopupMenu.html</anchorfile>
      <anchor>i9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KonqPopupMenu</name>
      <anchorfile>classKonqPopupMenu.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KBookmarkManager *manager, const KFileItemList &amp;items, KURL viewURL, KActionCollection &amp;actions, KNewMenu *newMenu, bool showPropertiesAndFileType=true) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KonqPopupMenu</name>
      <anchorfile>classKonqPopupMenu.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(KBookmarkManager *manager, const KFileItemList &amp;items, KURL viewURL, KActionCollection &amp;actions, KNewMenu *newMenu, QWidget *parentWidget, bool showPropertiesAndFileType=true) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KonqPopupMenu</name>
      <anchorfile>classKonqPopupMenu.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(KBookmarkManager *manager, const KFileItemList &amp;items, const KURL &amp;viewURL, KActionCollection &amp;actions, KNewMenu *newMenu, QWidget *parentWidget, KonqPopupFlags kpf, KParts::BrowserExtension::PopupFlags f)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KonqPopupMenu</name>
      <anchorfile>classKonqPopupMenu.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setURLTitle</name>
      <anchorfile>classKonqPopupMenu.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;urlTitle)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KAction *</type>
      <name>action</name>
      <anchorfile>classKonqPopupMenu.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QDomElement &amp;element) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KActionCollection *</type>
      <name>actionCollection</name>
      <anchorfile>classKonqPopupMenu.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>mimeType</name>
      <anchorfile>classKonqPopupMenu.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>url</name>
      <anchorfile>classKonqPopupMenu.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KFileItemList</type>
      <name>fileItemList</name>
      <anchorfile>classKonqPopupMenu.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KURL::List</type>
      <name>popupURLList</name>
      <anchorfile>classKonqPopupMenu.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ProtocolInfo</type>
      <name>protocolInfo</name>
      <anchorfile>classKonqPopupMenu.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KActionCollection &amp;</type>
      <name>m_actions</name>
      <anchorfile>classKonqPopupMenu.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KActionCollection</type>
      <name>m_ownActions</name>
      <anchorfile>classKonqPopupMenu.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <class kind="class">KonqPopupMenu::ProtocolInfo</class>
  </compound>
  <compound kind="class">
    <name>KonqPopupMenu::ProtocolInfo</name>
    <filename>classKonqPopupMenu_1_1ProtocolInfo.html</filename>
    <member kind="function">
      <type></type>
      <name>ProtocolInfo</name>
      <anchorfile>classKonqPopupMenu_1_1ProtocolInfo.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>supportsReading</name>
      <anchorfile>classKonqPopupMenu_1_1ProtocolInfo.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>supportsWriting</name>
      <anchorfile>classKonqPopupMenu_1_1ProtocolInfo.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>supportsDeleting</name>
      <anchorfile>classKonqPopupMenu_1_1ProtocolInfo.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>supportsMoving</name>
      <anchorfile>classKonqPopupMenu_1_1ProtocolInfo.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>trashIncluded</name>
      <anchorfile>classKonqPopupMenu_1_1ProtocolInfo.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KonqPopupMenu</name>
      <anchorfile>classKonqPopupMenu_1_1ProtocolInfo.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqPopupMenuPlugin</name>
    <filename>classKonqPopupMenuPlugin.html</filename>
    <base>KonqXMLGUIClient</base>
    <member kind="function">
      <type></type>
      <name>KonqPopupMenuPlugin</name>
      <anchorfile>classKonqPopupMenuPlugin.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KonqPopupMenu *_popup, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KonqPopupMenuPlugin</name>
      <anchorfile>classKonqPopupMenuPlugin.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqPropsView</name>
    <filename>classKonqPropsView.html</filename>
    <member kind="function">
      <type></type>
      <name>KonqPropsView</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KInstance *instance, KonqPropsView *defaultProps)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KonqPropsView</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDefaultProperties</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>enterDir</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const KURL &amp;dir)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSaveViewPropertiesLocally</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(bool value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIconSize</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(int size)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>iconSize</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setItemTextPos</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(int pos)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>itemTextPos</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSortCriterion</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;criterion)</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>sortCriterion</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDirsFirst</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(bool first)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDirsFirst</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDescending</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(bool descending)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDescending</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowingDotFiles</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isShowingDotFiles</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCaseInsensitiveSort</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isCaseInsensitiveSort</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowingDirectoryOverlays</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isShowingDirectoryOverlays</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowingPreview</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>(const QString &amp;preview, bool show)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowingPreview</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isShowingPreview</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>(const QString &amp;preview) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isShowingPreview</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const QStringList &amp;</type>
      <name>previewSettings</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a25</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBgColor</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a26</anchor>
      <arglist>(const QColor &amp;color)</arglist>
    </member>
    <member kind="function">
      <type>const QColor &amp;</type>
      <name>bgColor</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a27</anchor>
      <arglist>(QWidget *widget) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTextColor</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a28</anchor>
      <arglist>(const QColor &amp;color)</arglist>
    </member>
    <member kind="function">
      <type>const QColor &amp;</type>
      <name>textColor</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a29</anchor>
      <arglist>(QWidget *widget) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBgPixmapFile</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a30</anchor>
      <arglist>(const QString &amp;file)</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>bgPixmapFile</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a31</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>applyColors</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>a32</anchor>
      <arglist>(QWidget *widget) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QPixmap</type>
      <name>loadPixmap</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KConfigBase *</type>
      <name>currentConfig</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KConfigBase *</type>
      <name>currentColorConfig</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>currentGroup</name>
      <anchorfile>classKonqPropsView.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqSoundPlayer</name>
    <filename>classKonqSoundPlayer.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual const QStringList &amp;</type>
      <name>mimeTypes</name>
      <anchorfile>classKonqSoundPlayer.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>play</name>
      <anchorfile>classKonqSoundPlayer.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;fileName)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>stop</name>
      <anchorfile>classKonqSoundPlayer.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isPlaying</name>
      <anchorfile>classKonqSoundPlayer.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqUndoManager</name>
    <filename>classKonqUndoManager.html</filename>
    <member kind="enumeration">
      <name>UndoState</name>
      <anchor>w4</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>undo</name>
      <anchorfile>classKonqUndoManager.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>undoAvailable</name>
      <anchorfile>classKonqUndoManager.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(bool avail)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>undoTextChanged</name>
      <anchorfile>classKonqUndoManager.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>push</name>
      <anchorfile>classKonqUndoManager.html</anchorfile>
      <anchor>z0</anchor>
      <arglist>(const KonqCommand &amp;cmd)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>pop</name>
      <anchorfile>classKonqUndoManager.html</anchorfile>
      <anchor>z1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>lock</name>
      <anchorfile>classKonqUndoManager.html</anchorfile>
      <anchor>z2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>unlock</name>
      <anchorfile>classKonqUndoManager.html</anchorfile>
      <anchor>z3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual KonqCommand::Stack</type>
      <name>get</name>
      <anchorfile>classKonqUndoManager.html</anchorfile>
      <anchor>z4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KonqUndoManager</name>
      <anchorfile>classKonqUndoManager.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KonqUndoManager</name>
      <anchorfile>classKonqUndoManager.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addCommand</name>
      <anchorfile>classKonqUndoManager.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const KonqCommand &amp;cmd)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>undoAvailable</name>
      <anchorfile>classKonqUndoManager.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>undoText</name>
      <anchorfile>classKonqUndoManager.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>incRef</name>
      <anchorfile>classKonqUndoManager.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>decRef</name>
      <anchorfile>classKonqUndoManager.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KonqUndoManager *</type>
      <name>self</name>
      <anchorfile>classKonqUndoManager.html</anchorfile>
      <anchor>e2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>stopUndo</name>
      <anchorfile>classKonqUndoManager.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(bool step)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KonqUndoJob</name>
      <anchorfile>classKonqUndoManager.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqXMLGUIClient</name>
    <filename>classKonqXMLGUIClient.html</filename>
    <member kind="function">
      <type></type>
      <name>KonqXMLGUIClient</name>
      <anchorfile>classKonqXMLGUIClient.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KonqXMLGUIClient</name>
      <anchorfile>classKonqXMLGUIClient.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(KXMLGUIClient *parent)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KonqXMLGUIClient</name>
      <anchorfile>classKonqXMLGUIClient.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QDomDocument</type>
      <name>domDocument</name>
      <anchorfile>classKonqXMLGUIClient.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QDomElement</type>
      <name>DomElement</name>
      <anchorfile>classKonqXMLGUIClient.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addAction</name>
      <anchorfile>classKonqXMLGUIClient.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(KAction *action, const QDomElement &amp;menu=QDomElement())</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addAction</name>
      <anchorfile>classKonqXMLGUIClient.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(const char *name, const QDomElement &amp;menu=QDomElement())</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addSeparator</name>
      <anchorfile>classKonqXMLGUIClient.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(const QDomElement &amp;menu=QDomElement())</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addPendingSeparator</name>
      <anchorfile>classKonqXMLGUIClient.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addGroup</name>
      <anchorfile>classKonqXMLGUIClient.html</anchorfile>
      <anchor>b4</anchor>
      <arglist>(const QString &amp;grp)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addMerge</name>
      <anchorfile>classKonqXMLGUIClient.html</anchorfile>
      <anchor>b5</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>hasAction</name>
      <anchorfile>classKonqXMLGUIClient.html</anchorfile>
      <anchor>b6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>prepareXMLGUIStuff</name>
      <anchorfile>classKonqXMLGUIClient.html</anchorfile>
      <anchor>b7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QDomElement</type>
      <name>m_menuElement</name>
      <anchorfile>classKonqXMLGUIClient.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QDomDocument</type>
      <name>m_doc</name>
      <anchorfile>classKonqXMLGUIClient.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KURLDesktopFileDlg</name>
    <filename>classKURLDesktopFileDlg.html</filename>
    <member kind="function">
      <type></type>
      <name>KURLDesktopFileDlg</name>
      <anchorfile>classKURLDesktopFileDlg.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;textFileName, const QString &amp;textUrl)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KURLDesktopFileDlg</name>
      <anchorfile>classKURLDesktopFileDlg.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;textFileName, const QString &amp;textUrl, QWidget *parent)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KURLDesktopFileDlg</name>
      <anchorfile>classKURLDesktopFileDlg.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fileName</name>
      <anchorfile>classKURLDesktopFileDlg.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>url</name>
      <anchorfile>classKURLDesktopFileDlg.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotClear</name>
      <anchorfile>classKURLDesktopFileDlg.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotNameTextChanged</name>
      <anchorfile>classKURLDesktopFileDlg.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotURLTextChanged</name>
      <anchorfile>classKURLDesktopFileDlg.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>/build/buildd/kdebase-3.4.3/libkonq/favicons/</name>
    <path>/build/buildd/kdebase-3.4.3/libkonq/favicons/</path>
    <filename>dir_000001.html</filename>
    <file>favicons.cpp</file>
    <file>favicons.h</file>
  </compound>
  <compound kind="dir">
    <name>/build/buildd/kdebase-3.4.3/libkonq/</name>
    <path>/build/buildd/kdebase-3.4.3/libkonq/</path>
    <filename>dir_000000.html</filename>
    <dir>/build/buildd/kdebase-3.4.3/libkonq/favicons/</dir>
    <file>kfileivi.cc</file>
    <file>kfileivi.h</file>
    <file>kivdirectoryoverlay.cc</file>
    <file>kivdirectoryoverlay.h</file>
    <file>knewmenu.cc</file>
    <file>knewmenu.h</file>
    <file>konq_bgnddlg.cc</file>
    <file>konq_bgnddlg.h</file>
    <file>konq_defaults.h</file>
    <file>konq_dirpart.cc</file>
    <file>konq_dirpart.h</file>
    <file>konq_drag.cc</file>
    <file>konq_drag.h</file>
    <file>konq_events.cc</file>
    <file>konq_events.h</file>
    <file>konq_faviconmgr.cc</file>
    <file>konq_faviconmgr.h</file>
    <file>konq_filetip.cc</file>
    <file>konq_filetip.h</file>
    <file>konq_historycomm.cc</file>
    <file>konq_historycomm.h</file>
    <file>konq_historymgr.cc</file>
    <file>konq_historymgr.h</file>
    <file>konq_iconviewwidget.cc</file>
    <file>konq_iconviewwidget.h</file>
    <file>konq_operations.cc</file>
    <file>konq_operations.h</file>
    <file>konq_pixmapprovider.cc</file>
    <file>konq_pixmapprovider.h</file>
    <file>konq_popupmenu.cc</file>
    <file>konq_popupmenu.h</file>
    <file>konq_propsview.cc</file>
    <file>konq_propsview.h</file>
    <file>konq_settings.cc</file>
    <file>konq_settings.h</file>
    <file>konq_sound.cc</file>
    <file>konq_sound.h</file>
    <file>konq_undo.cc</file>
    <file>konq_undo.h</file>
    <file>konq_xmlguiclient.cc</file>
    <file>konq_xmlguiclient.h</file>
    <file>konqbookmarkmanager.h</file>
    <file>libkonq_export.h</file>
  </compound>
  <compound kind="namespace">
    <name>KIO</name>
    <filename>namespaceKIO.html</filename>
  </compound>
  <compound kind="namespace">
    <name>KParts</name>
    <filename>namespaceKParts.html</filename>
  </compound>
</tagfile>
